define({"1290":{y:0,u:"../Content/HCP Metadata Query API Reference/Introduction to the HCP metadata query API/Object-based queries.htm",l:-1,t:"Object-based queries",i:0.00034117090716958,a:"Object-based queries search for objects currently in the repository based on any combination of system metadata, object paths, custom metadata that’s well-formed XML, ACLs, and content properties.  (For information about content properties, see  Content properties .)  With object-based queries, you ..."},"1291":{y:0,u:"../Content/HCP Metadata Query API Reference/Introduction to the HCP metadata query API/Operation-based queries.htm",l:-1,t:"Operation-based queries",i:0.000225147891110492,a:"Operation-based queries search for objects based on any combination of create, delete, and disposition operations and, for HCP namespaces that support versioning, purge and prune operations.  Operation-based queries are useful for applications that need to track changes to namespace content. In ..."},"1292":{y:0,u:"../Content/HCP Metadata Query API Reference/Introduction to the HCP metadata query API/Query results.htm",l:-1,t:"Query results",i:0.000225147891110492,a:"By default, for both types of queries, HCP returns only basic information about the objects that meet the query criteria.  This information includes the object URL, the version ID, the operation type, and the change time.  If you specify a verbose entry with a value of true in the request body, HCP ..."},"1293":{y:0,u:"../Content/HCP Metadata Query API Reference/Introduction to the HCP metadata query API/Object-based query results.htm",l:-1,t:"Object-based query results",i:0.000607903381691144,a:"Object-based queries return information about objects that currently exist in the repository.  For objects with multiple versions, these queries return information only for the current version. Object-based queries return information only about objects that have been indexed.  For more information ..."},"1294":{y:0,u:"../Content/HCP Metadata Query API Reference/Introduction to the HCP metadata query API/Operation-based query results.htm",l:-1,t:"Operation-based query results",i:0.000225147891110492,a:"HCP maintains records of object creation, deletion, disposition, prune, and purge operations (also called transactions).  These records can be retrieved through operation-based queries.  The HCP system configuration determines how long HCP keeps deletion, disposition, prune, and purge records.  HCP ..."},"1295":{y:0,u:"../Content/HCP Metadata Query API Reference/Introduction to the HCP metadata query API/Paged queries.htm",l:-1,t:"Paged queries",i:0.000288940472873934,a:"With paged queries, you issue multiple requests that each retrieve a limited number of results.  You would use a paged query, for example, if: The size of the response to a single request would reduce the efficiency of the client.  In this situation, you can use a paged query to prevent overloading ..."},"1296":{y:0,u:"../Content/HCP Metadata Query API Reference/Introduction to the HCP metadata query API/Object index.htm",l:-1,t:"Object index",i:0.000805664512787058,a:"Object index To support object-based queries, HCP maintains an index of objects in the repository.  This index is based on object paths, system metadata, custom metadata that’s well formed XML, and ACLs."},"1297":{y:0,u:"../Content/HCP Metadata Query API Reference/Introduction to the HCP metadata query API/Namespace indexing.htm",l:-1,t:"Namespace indexing",i:0.000225147891110492,a:"Indexing is enabled on a per-namespace basis.  If a namespace is not indexed, object-based queries do not return results for objects in the namespace. HCP periodically checks indexable namespaces for new objects and for objects with metadata that has changed since the last check.  When it finds new ..."},"1298":{y:0,u:"../Content/HCP Metadata Query API Reference/Introduction to the HCP metadata query API/Content properties.htm",l:-1,t:"Content properties",i:0.000610835365881969,a:"A content property is a named construct used to extract an element or attribute value from custom metadata that\u0027s well-formed XML.  Each content property has a data type that determines how the property values are treated when indexing and searching. A content property is defined as either ..."},"1299":{y:0,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Access and authentication.htm",l:-1,t:"Access and authentication",i:0.000225147891110492,a:"With the HCP metadata query API, each request you make must specify a URL that represents an HCP tenant, the default tenant, or all tenants to which system-level users have access.  Each request must also include the credentials for the user account you’re using to access namespaces through the ..."},"1300":{y:0,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Request URL.htm",l:-1,t:"Request URL",i:0.000374491822003837,a:"Request URL The URL format in a metadata query API request depends on whether you use a hostname or IP address to connect to the HCP system and on the namespaces you want to query."},"1301":{y:0,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Connecting using a hostname.htm",l:-1,t:"Connecting using a hostname",i:0.000225147891110492,a:"When connecting to HCP using a hostname, the URL format you use depends on the namespaces you are querying: To query one or more namespaces owned by an HCP tenant, use this format: http[s]://hcp-tenant-name.hcp-domain-name/query For example: https://europe.hcp.example.com/query To use this format, ..."},"1302":{y:0,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Connecting using an IP address.htm",l:-1,t:"Connecting using an IP address",i:0.000374491822003837,a:"The core hardware for an HCP system consists of servers, called nodes, that are networked together. When you access an HCP system, your point of access is an individual node.  Typically, you let HCP choose the node on which to process a metadata query API request.  You can, however, use an IP ..."},"1303":{y:0,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Connecting using a hosts file.htm",l:-1,t:"Connecting using a hosts file",i:0.000225147891110492,a:"All operating systems have a hosts file that contains mappings from hostnames to IP addresses.  If the HCP system does not support DNS, you can use this file to enable access to tenants by hostname. The location of the hosts file depends on the client operating system: On Windows®, by default:  ..."},"1304":{y:0,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Authentication.htm",l:-1,t:"Authentication",i:0.000374491822003837,a:"To use the metadata query management API, you need either a system-level or tenant-level user account that’s defined in HCP.  If HCP is configured to support Windows Active Directory® (AD), applications can also use an AD user account that HCP recognizes to access HCP through the metadata query API. ..."},"1305":{y:0,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/HCP authentication through the metadata query management API.htm",l:-1,t:"HCP authentication through the metadata query management API",i:0.000225147891110492,a:"To authenticate with HCP through the metadata query management API, you need to construct an authentication token from a  system-level user account or a tenant-level user account and then submit it using a request header with all requests. Successful authentication requires encoding your account ..."},"1306":{y:0,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Authentication token.htm",l:-1,t:"Authentication token",i:0.000225147891110492,a:"An authentication token consists of a username in Base64-encoded format and a password that’s hashed using the MD5 hash algorithm, separated by a colon, like this: base64-encoded-username:md5-hashed-password  For example, here’s the token for the Base64-encoded username myuser and the MD5-hashed ..."},"1307":{y:0,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Authorization header.htm",l:-1,t:"Authorization header",i:0.000225147891110492,a:"You use the HTTP Authorization request header to provide the authentication token for a metadata query API request.  The value of this header is HCP followed by the authentication token, in this format: Authorization: HCP authentication-token  For example, here’s the Authorization header for a user ..."},"1308":{y:0,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Active Directory user authentication through the metadata query management API.htm",l:-1,t:"Active Directory user authentication through the metadata query management API",i:0.000225147891110492,a:"To authenticate with HCP with Active Directory, you need to construct an authentication token from a AD user account and then submit it using a request header with all requests. The username and password does not need to be encoded."},"1309":{y:0,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Active Directory authentication token.htm",l:-1,t:"Active Directory authentication token",i:0.000225147891110492,a:"Active Directory authentication token An AD authentication token consists of an AD username and password separated by a colon, like this: AD-username:AD-password For example, here’s the token for the username lgreen and the password p4ssw0rd: lgreen@example.com:p4sswOrd"},"1310":{y:0,u:"../Content/HCP Metadata Query API Reference/Access and authenticatioin/Active Directory authorization header.htm",l:-1,t:"Active Directory authorization header",i:0.000543470088524838,a:"You use the HTTP Authorization request header to provide the authentication token for an AD user accessing HCP through the metadata query management API. The value of this header is AD followed by the authentication token, in this format: Authorization: AD authentication-token For example, here’s ..."},"1311":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/Query requests.htm",l:-1,t:"Query requests",i:0.000225147891110492,a:"Query requests This chapter describes how to construct both object-based and operation-based query requests."},"1312":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/Request format.htm",l:-1,t:"Request format",i:0.000878481451183232,a:"You use the HTTP POST method to send a metadata query API request to HCP.  The POST request for both object-based and operation-based queries has these elements: A request URL. For information about request URL formats, see  Request URL . Optionally, if the URL starts with an IP address, an HTTP ..."},"1313":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/Object-based query requests.htm",l:-1,t:"Object-based query requests",i:0.000374491822003837,a:"Object-based query requests The body of an object-based query request consists of entries in XML or JSON format."},"1314":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/XML request body for object-based queries.htm",l:-1,t:"XML request body for object-based queries",i:0.000225147891110492,a:"The XML request body for an object-based query must contain a top-level queryRequest entry, an object entry, and a query entry.  All other entries are optional. The XML request body for an object-based query has the format shown below.  The entries under object can be specified in any order. ..."},"1315":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/JSON request body for object-based queries.htm",l:-1,t:"JSON request body for object-based queries",i:0.000225147891110492,a:"The JSON request body for an object-based query must contain an unnamed top-level entry, an object entry, and a query entry.  All other entries are optional. The JSON request body for an object-based query has the format shown below.  The entries under object can be specified in any order. { ..."},"1316":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/Request object body contents.htm",l:-1,t:"Request object body contents",i:0.000225147891110492,a:"Request object body contents The following sections describe the entries in an object-based metadata query API request body."},"1317":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/Top-level entry.htm",l:-1,t:"Top-level entry",i:0.000225147891110492,a:"Top-level entry XML has a single top-level queryRequest entry.  JSON has a corresponding unnamed top-level entry.  All request bodies must contain this entry."},"1318":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/object entry.htm",l:-1,t:"object entry",i:0.000225147891110492,a:"object entry The object entry is required for object-based requests.  It must contain the query entry and can contain any combination of the other entries listed in the table below."},"1319":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/sort entry.htm",l:-1,t:"sort entry",i:0.000487335814921163,a:"You use the sort entry to specify the order in which object-based query results are listed.  The entry contains a comma-separated list of properties and a sort-order indicator, in this format: object-property[+(asc|desc)][,.object-property[+(asc|desc)]]... asc means sort in ascending order.  desc ..."},"1320":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/facets entry.htm",l:-1,t:"facets entry",i:0.000263423440168557,a:"You use the facets entry to request summary information for the returned values of specified object properties.  For each specified property, HCP returns a list of up to one hundred object property values that occur most frequently in the result set.  Each entry in the list has the number of objects ..."},"1321":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/Query expressions.htm",l:-1,t:"Query expressions",i:0.000263423440168557,a:"With object-based queries, you specify a query expression in the query request entry.  Query expressions have this format: [+|-]criterion [[+|-]criterion]... In this expression, [+|-] is an optional Boolean operator and criterion is one of: A single text-based or property-based criterion. One or ..."},"1322":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/Text-based criteria.htm",l:-1,t:"Text-based criteria",i:0.00179698692617717,a:"Text-based criteria let you perform queries based on object paths and the full-text content of custom metadata.  Queries that use text-based criteria find objects with matching custom metadata only in namespaces that are configured to support full-text searches of custom metadata. To perform queries ..."},"1323":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/Property-based criteria.htm",l:-1,t:"Property-based criteria",i:0.00182726144282817,a:"Property-based criteria let you query for objects based on specified object property values.  The format for a simple property-based criterion is: property:value For example, this expression finds objects that are on hold: hold:true When querying for a value that’s a negative number, enclose the ..."},"1324":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/Query expression considerations.htm",l:-1,t:"Query expression considerations",i:0.000299785349361361,a:"These considerations apply to query expressions, whether they contain property-based criteria, text-based criteria, or a combination of both:If the query expression consists of a single criterion without a Boolean operator, objects in the result set must meet the criterion.  For example, this query ..."},"1325":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/customMetadataContent property.htm",l:-1,t:"customMetadataContent property",i:0.00130455829638477,a:"To search for objects based on the full-text content of custom metadata, you specify the customMetadataContent property in a query expression.  Criteria that use this property find objects only in namespaces that have full-text indexing of custom metadata enabled. When custom metadata is indexed for ..."},"1326":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/aclGrant property.htm",l:-1,t:"aclGrant property",i:0.00130455829638477,a:"To query for objects based on the content of ACLs, you specify the aclGrant property in a query expression.  Valid values for this property have these formats: \"permissions\" \"permissions,USER[,location,username]\" \"permissions,GROUP,location,(ad-group-name|all_users|authenticated)\" In these formats: ..."},"1327":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/Query expression examples.htm",l:-1,t:"Query expression examples",i:0.000225147891110492,a:"Here are some examples of query expressions that use both text-based criteria and property-based criteria: This expression returns metadata for objects that have a retention setting of Deletion Allowed, are not on hold, and may or may not have a path or custom metadata that contains the term report: ..."},"1328":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/Paged queries with object-based requests.htm",l:-1,t:"Paged queries with object-based requests",i:0.00049818069140859,a:"To use a paged query with object-based requests: In the first request, use a count entry with a value of zero to get a response that does not include any object records but contains a totalResults value that specifies the  total number of objects that meet the query criteria. In each request after ..."},"1329":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/Paged queries with 100,000 or fewer matching objects.htm",l:-1,t:"Paged queries with 100,000 or fewer matching objects",i:0.000366300777615588,a:"If no more than 100,000 objects match the query criteria, use the offset entry to page through the result set.  In each request after the first one with a count value greater than 0, include an offset entry that specifies the number of results to skip when returning the next page of results.  For ..."},"1330":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/Paged queries with more than 100,000 matching objects.htm",l:-1,t:"Paged queries with more than 100,000 matching objects",i:0.000366300777615588,a:"If a large number of objects match the query criteria, a paged query can consume a large amount of memory.  If more than 100,000 objects match the query criteria, limit memory use by using multiple paged queries.  Each paged query should retrieve results for no more than 100,000 objects.  To do ..."},"1331":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/Operation-based query requests.htm",l:-1,t:"Operation-based query requests",i:0.000374491822003837,a:"Operation-based query requests The body of an operation-based query request consists of entries in XML or JSON format."},"1332":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/XML request body for operation-based queries.htm",l:-1,t:"XML request body for operation-based queries",i:0.000225147891110492,a:"The XML request body for an operation-based query must contain a top-level queryRequest entry and, except when requesting all available information, an operation entry.  All other entries are optional. The XML request body has the format shown below. Entries at each hierarchical level can be ..."},"1333":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/JSON request body for operation-based queries.htm",l:-1,t:"JSON request body for operation-based queries",i:0.000225147891110492,a:"The JSON request body for an operation-based query must contain an unnamed top-level entry and, except when requesting all available information, the operation entry.  All other entries are optional. The JSON request body has the format shown below.  Entries at each hierarchical level can be in any ..."},"1334":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/Request operation body contents.htm",l:-1,t:"Request operation body contents",i:0.000225147891110492,a:"Request operation body contents The following sections describe the entries in an operation-based metadata query API request body."},"1335":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/operation entry.htm",l:-1,t:"operation entry",i:0.000225147891110492,a:"operation entry Except when requesting all available information, the operation entry is required for operation-based queries.  It can contain any combination of the entries listed in the table below."},"1336":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/lastResult entry.htm",l:-1,t:"lastResult entry",i:0.000272992327433074,a:"lastResult entry Use the lastResult entry only in the second through final requests of a paged query.  This entry identifies the last record that was returned in the previous query so that HCP can retrieve the next set of records.  The entry contains the child entries described in the table below."},"1337":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/systemMetadata entry.htm",l:-1,t:"systemMetadata entry",i:0.000272992327433074,a:"The systemMetadata entry specifies the criteria that the returned operation records must match.  The entry contains the child entries listed in the table below.  Some of the subentries, such as changeTime, have children.  In this table, the parent entries are immediately followed by their children."},"1338":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/paged queries with operation-based requests.htm",l:-1,t:"paged queries with operation-based requests",i:0.000507749578673106,a:"To use a paged query with operation-based query requests: Optionally, specify a count entry in each request body.  If you omit this entry, HCP returns ten thousand operation records per request. For each request after the first, specify a lastResult entry containing the values of the urlName, ..."},"1339":{y:0,u:"../Content/HCP Metadata Query API Reference/Query requests/Object properties.htm",l:-1,t:"Object properties",i:0.00325221543544425,a:"The table below describes the object properties that you can specify in these contexts: objectProperties entry sort entry Query entry In the sort and objectProperties entries, you specify only the object property name.  In query expressions, you specify both the property name and one or more values ..."},"1340":{y:0,u:"../Content/HCP Metadata Query API Reference/Query responses/Query responses.htm",l:-1,t:"Query responses",i:0.000225147891110492,a:"Query responses This chapter describes the response format for both object-based queries and operation-based queries."},"1341":{y:0,u:"../Content/HCP Metadata Query API Reference/Query responses/Response body.htm",l:-1,t:"Response body",i:0.000225147891110492,a:"The body of the response to a metadata query API request contains XML or JSON that lists the objects or operation records that match the request criteria.  Object-based query responses list objects.  Operation-based query responses return operation records. Each object or operation record is ..."},"1342":{y:0,u:"../Content/HCP Metadata Query API Reference/Query responses/XML response bodies.htm",l:-1,t:"XML response bodies",i:0.000225147891110492,a:"XML response bodies The format of an XML query response differs depending on the type of the query."},"1343":{y:0,u:"../Content/HCP Metadata Query API Reference/Query responses/XML reponse body for object-based queries.htm",l:-1,t:"XML reponse body for object-based queries",i:0.000225147891110492,a:"An XML response for an object-based query has this format: \u003c?xml version=\u00271.0\u0027 encoding=\u0027UTF-8\u0027?\u003e \u003cqueryResult xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"         xsi:noNamespaceSchemaLocation=\"/static/xsd/query-result-6.0.xsd\"\u003e     \u003cquery\u003e ..."},"1344":{y:0,u:"../Content/HCP Metadata Query API Reference/Query responses/XML response body for operation-based queries.htm",l:-1,t:"XML response body for operation-based queries",i:0.000225147891110492,a:"An XML response for an operation-based query has this format: \u003c?xml version=\u00271.0\u0027 encoding=\u0027UTF-8\u0027?\u003e \u003cqueryResult xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"         \t \txsi:noNamespaceSchemaLocation=\"/static/xsd/query-result-6.0.xsd\"\u003e     \u003cquery          \tstart=\"start-time-in-milliseconds\" ..."},"1345":{y:0,u:"../Content/HCP Metadata Query API Reference/Query responses/JSON response bodies.htm",l:-1,t:"JSON response bodies",i:0.000225147891110492,a:"JSON response bodies The format of a JSON query response differs depending on the type of the query."},"1346":{y:0,u:"../Content/HCP Metadata Query API Reference/Query responses/JSON response body for object-based queries.htm",l:-1,t:"JSON response body for object-based queries",i:0.000225147891110492,a:"A JSON response for an object-based query has this format: { \t    \"queryResult\":{ \t        \"query\":{ \t            \t\"expression\":\"query-request-entry\"         \t},         \t\"resultSet\":[{             \t\t{             \t    \t\"urlName\":\"object-url\",                 \t\t\t\"operation\":\"operation-type\",  ..."},"1347":{y:0,u:"../Content/HCP Metadata Query API Reference/Query responses/JSON response body for operation-based queries.htm",l:-1,t:"JSON response body for operation-based queries",i:0.000225147891110492,a:"A JSON response for an operation-based query has this format: {     \"queryResult\":{     \t\"query\":{         \t\"end\":end-time-in-milliseconds,         \t\"start\":start-time-in-milliseconds    \t},     \"resultSet\":[{         {             \"urlName\":\"object-url\",             \"operation\":\"operation-type\",  ..."},"1348":{y:0,u:"../Content/HCP Metadata Query API Reference/Query responses/Response body contents.htm",l:-1,t:"Response body contents",i:0.000225147891110492,a:"Response body contents Both XML and JSON have a single top-level queryResult entry.  The queryResult entry contains one of each of the entries listed in the table below."},"1349":{y:0,u:"../Content/HCP Metadata Query API Reference/Query responses/query entry.htm",l:-1,t:"query entry",i:0.000263423440168557,a:"query entry The query entry contains the entry and properties described in the table below."},"1350":{y:0,u:"../Content/HCP Metadata Query API Reference/Query responses/resultSet entry.htm",l:-1,t:"resultSet entry",i:0.000263423440168557,a:"resultSet entry The resultSet entry has one child object entry for each object or operation record that matches the query criteria."},"1351":{y:0,u:"../Content/HCP Metadata Query API Reference/Query responses/object entry.htm",l:-1,t:"object entry",i:0.000225147891110492,a:"In XML, the object entries are child elements of the resultSet entry.  In JSON, the object entries are unnamed objects in the resultSet entry. The information that the object entry provides depends on the type of the query request: For object-based queries, each object entry provides information ..."},"1352":{y:0,u:"../Content/HCP Metadata Query API Reference/Query responses/status entry.htm",l:-1,t:"status entry",i:0.000263423440168557,a:"status entry The status entry has the properties listed in the table below."},"1353":{y:0,u:"../Content/HCP Metadata Query API Reference/Query responses/contentProperties entry.htm",l:-1,t:"contentProperties entry",i:0.000263423440168557,a:"contentProperties entry If the request included a contentProperties entry with a value of true, the result has a contentProperties entry containing zero or more contentProperty entries.Each contentProperty entry contains the entries listed in the table below."},"1354":{y:0,u:"../Content/HCP Metadata Query API Reference/Query responses/facets entry.htm",l:-1,t:"facets entry",i:0.000263423440168557,a:"facets entry The facets response entry has one or more child facet entries, as described in the table below."},"1355":{y:0,u:"../Content/HCP Metadata Query API Reference/Query responses/HTTP return codes.htm",l:-1,t:"HTTP return codes",i:0.000416525636400818,a:"HTTP return codes The table below describes the possible HTTP return codes for metadata query API requests."},"1356":{y:0,u:"../Content/HCP Metadata Query API Reference/Query responses/HTTP response headers.htm",l:-1,t:"HTTP response headers",i:0.000225147891110492,a:"The response to a valid query request includes a Transfer-Encoding header with a value of chunked and an Expires header with a value of Thu, 01 Jan 1970 00:00:00 GMT. If the query request specifies a gzip-compressed response, the response includes a Content-Encoding header with a value of gzip. If ..."},"1357":{y:0,u:"../Content/HCP Metadata Query API Reference/Examples/Examples.htm",l:-1,t:"Examples",i:0.000225147891110492,a:"This chapter contains examples of both object-based and operation-based queries.  The examples show some of the ways you can use the metadata query API to get information about namespace content.  Specifically, they show how to: With object-based queries: Query for objects based on custom metadata ..."},"1358":{y:0,u:"../Content/HCP Metadata Query API Reference/Examples/Object-based query examples.htm",l:-1,t:"Object-based query examples",i:0.000225147891110492,a:"Object-based query examples This section contains examples of object-based queries."},"1359":{y:0,u:"../Content/HCP Metadata Query API Reference/Examples/Querying for custom metadata content example.htm",l:-1,t:"Example 1: Querying for custom metadata content",i:0.000225147891110492,a:"Here’s a sample metadata query API request that retrieves metadata for all objects that: Are in namespaces owned by the europe tenant Have custom metadata that contains an element named department with a value of Accounting The query uses an XML request body and requests results in JSON format. In ..."},});