define({"1425":{y:0,u:"../Content/Using a Namespace/Object properties/Octal permission values.htm",l:-1,t:"Octal permission values",i:0.000225147891110492,a:"Each permission for owner, group, and other has a unique octal value, as shown in the table below. You can represent permissions numerically by combining these values.  For example, the octal value 755 represents these permissions: POSIX owner has read, write, and execute permissions (700). POSIX ..."},"1426":{y:0,u:"../Content/Using a Namespace/Object properties/POSIX ownership and permissions for new items.htm",l:-1,t:"POSIX ownership and permissions for new items",i:0.000225147891110492,a:"For items added through NFS, HCP sets the initial UID, GID, and POSIX permissions to values determined by the NFS client.  For items added through HTTP, WebDAV, CIFS, or SMTP, HCP does not set values for these properties. When you use NFS to view POSIX ownership and permission values for any item ..."},"1427":{y:0,u:"../Content/Using a Namespace/Object properties/Changing POSIX ownership and permissions for existing items.htm",l:-1,t:"Changing POSIX ownership and permissions for existing items",i:0.000488815208257807,a:"If you’re the root user, you can change the UID and GID for an existing item.  If you’re the user identified by the UID value for an item or the root user, you can change the permissions for an item.  You can make these changes through the CIFS and NFS protocols. To change POSIX ownership and ..."},"1428":{y:0,u:"../Content/Using a Namespace/Object properties/Versioning.htm",l:-1,t:"Versioning",i:0.000225147891110492,a:"Versioning is the capability of the namespace to store multiple versions of objects.  If the namespace supports versioning, you can save a new version of an object and the previous version will be kept. Each version is an independent copy of the object that includes both data and metadata.  A new ..."},"1429":{y:0,u:"../Content/Using a Namespace/Object properties/Creating versions.htm",l:-1,t:"Creating versions",i:0.000225147891110492,a:"If versioning is enabled, you can store new versions of an existing object by storing the object using the same URL you used to create the object originally.  HCP retains the previous version until it is pruned or you explicitly purge the object. Updates to the system metadata, custom metadata, or ..."},"1430":{y:0,u:"../Content/Using a Namespace/Object properties/Retrieving and listing versions.htm",l:-1,t:"Retrieving and listing versions",i:0.000225147891110492,a:"When you retrieve an object from a namespace that supports versioning, you get the current version by default.  You can retrieve an older version of the object by specifying a version ID or ingest time. You can also retrieve multiple object versions by specifying a range of version IDs.  To ..."},"1431":{y:0,u:"../Content/Using a Namespace/Object properties/Deleting objects with versioning enabled.htm",l:-1,t:"Deleting objects with versioning enabled",i:0.000703592254336307,a:"If you delete an object while versioning is enabled, HCP: Retains a copy of the deleted object as an old version. Creates a special version, called a delete marker, as the current version to indicate that the object has been deleted.  This version has a version ID but does not include any object ..."},"1432":{y:0,u:"../Content/Using a Namespace/Object properties/Purging objects.htm",l:-1,t:"Purging objects",i:0.000225147891110492,a:"You cannot delete specific old versions of an object, but if you have purge permission, you can purge the object to delete all its versions. If the current version of an object is under retention, you cannot purge the object.  However, if you have both purge and privileged permissions, you can ..."},"1433":{y:0,u:"../Content/Using a Namespace/Object properties/Custom metadata.htm",l:-1,t:"Custom metadata",i:0.00103584523697348,a:"Custom metadata is user-supplied descriptive information about an object.  Custom metadata is specified as annotations, where each annotation is a discrete unit of information about the object.   You can add, replace, or delete an annotation in its entirety.  You cannot modify it in place. Each ..."},"1434":{y:0,u:"../Content/Using a Namespace/Object properties/Access control lists.htm",l:-1,t:"Access control lists",i:0.000333897320535141,a:"An access control list (ACL) grants permissions to perform operations on an individual object to specified users or groups of users.  An ACL can be specified as either XML or JSON.  You add, replace, or delete an ACL in its entirety.  You cannot modify it in place. An ACL contains up to one thousand ..."},"1435":{y:0,u:"../Content/Using a Namespace/Object properties/ACL permissions.htm",l:-1,t:"ACL permissions",i:0.00186509887256706,a:"The following table describes the permissions that can be granted through an ACL. With the CIFS or NFS protocol: If you are using an AD user account, when you try to delete an object for which you have been granted delete permission by an ACL, the delete operation fails if the object is located in ..."},"1436":{y:0,u:"../Content/Using a Namespace/Object properties/ACL body.htm",l:-1,t:"ACL body",i:0.000320836763755655,a:"ACL body The body of an ACL consists of entries in XML or JSON format."},"1437":{y:0,u:"../Content/Using a Namespace/Object properties/XML format.htm",l:-1,t:"XML format",i:0.000225147891110492,a:"The XML ACL body has the format shown below.  Elements at each hierarchical level can be in any order. \u003c?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?\u003e \u003caccessControlList\u003e     \u003cgrant\u003e         \u003cgrantee\u003e             \u003ctype\u003e(user|group)\u003c/type\u003e             \u003cname\u003e(hcp-username ..."},"1438":{y:0,u:"../Content/Using a Namespace/Object properties/JSON format.htm",l:-1,t:"JSON format",i:0.000225147891110492,a:"The JSON ACL body has the format shown below.  Entries at each hierarchical level can be in any order. {     \"grant\": [{         \"grantee\": {             \"type\":\"(user|group)\",             \"name\":\"(hcp-username             |active-directory-username             |active-directory-group ..."},"1439":{y:0,u:"../Content/Using a Namespace/Object properties/ACL contents.htm",l:-1,t:"ACL contents",i:0.000225147891110492,a:"ACL contents XML has a single top-level accessControlList element.  JSON has a corresponding unnamed top-level object.  All ACLs must contain this entry in their body.  The top-level entry contains the entries listed in the table below."},"1440":{y:0,u:"../Content/Using a Namespace/Object properties/ACL examples.htm",l:-1,t:"ACL examples",i:0.000225147891110492,a:"This section contains examples of an ACL in both XML and JSON formats.  This ACL grants: Read permission to all users Write permission to the AD user lgreen that is defined in the ad.example.com domain Write and delete permission to HCP user pdgrey XML format Here is a sample ACL in XML format: ..."},"1441":{y:0,u:"../Content/Using a Namespace/Object properties/ETags.htm",l:-1,t:"ETags",i:0.000225147891110492,a:"An ETag is an identifier for the content of an object.  HCP generates an ETag for each object or version stored in a namespace.  HCP returns the ETag for an object or version in an ETag header in the response to a GET, HEAD, or PUT request for that object or version.  If HCP has not yet generated ..."},"1442":{y:0,u:"../Content/Using a Namespace/Object properties/Replication collisions.htm",l:-1,t:"Replication collisions",i:0.000225147891110492,a:"If users can write to multiple systems in a replication topology, collisions can occur when different changes are made to the same objects on different systems.  The way HCP handles collisions that occur due to replication depends on the type of collision.  However, the general rule is that more ..."},"1443":{y:0,u:"../Content/Using a Namespace/Object properties/Object content collisions.htm",l:-1,t:"Object content collisions",i:0.000225147891110492,a:"An object content collision occurs when, for a namespace without versioning enabled, these events occur in the order shown: An object is created with the same name in that namespace on two systems in a replication topology, but the object has different content on the two systems. The object on one ..."},"1444":{y:0,u:"../Content/Using a Namespace/Object properties/System metadata collisions.htm",l:-1,t:"System metadata collisions",i:0.000225147891110492,a:"A system metadata collision occurs when these events occur in the order shown: Different changes are made to the system metadata for a given object on each of two systems in a replication topology. The changed system metadata on one of the systems is replicated to the other system. For example, ..."},"1445":{y:0,u:"../Content/Using a Namespace/Object properties/Custom metadata collisions.htm",l:-1,t:"Custom metadata collisions",i:0.000225147891110492,a:"A custom metadata collision occurs when these events occur in the order shown: One of these changes occurs: An annotation is added with the same name to a given object on each of two systems in a replication topology, but the annotation has different content on the two systems. The addition of an ..."},"1446":{y:0,u:"../Content/Using a Namespace/Object properties/Access control list collisions.htm",l:-1,t:"Access control list collisions",i:0.000225147891110492,a:"An ACL collision occurs when these events occur in the order shown: Different changes are made to the ACL for a given object on each of two systems in a replication topology. The changed ACL on one of the systems is replicated to the other system. An ACL is treated as a single unit.  If a collision ..."},"1447":{y:0,u:"../Content/Using a Namespace/Parts/HTTP.htm",l:-1,t:"HTTP",i:0.000270600277601497,a:"This section of the Help contains information on using the HTTP namespace access protocol: Accessing a namespace with HTTP Working with objects and versions Working with directories Working with system metadata Working with annotations Working with ACLs Retrieving namespace information HTTP usage ..."},"1448":{y:0,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/Accessing a namespace with HTTP.htm",l:-1,t:"Accessing a namespace with HTTP",i:0.000547310921839786,a:"HCP supports a RESTful implementation of the HTTP protocol.  To access a namespace through this protocol, you can write applications that use any standard HTTP client library, or you can use a command-line tool, such as cURL, that supports HTTP.  You can also use a web browser to access the ..."},"1449":{y:0,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/URLs for HTTP access to the namespace.htm",l:-1,t:"URLs for HTTP access to a namespace",i:0.000225147891110492,a:"URLs for HTTP access to a namespace Depending on the HTTP method you’re using and what you want to do with it, a URL can identify any of: A namespace A directory in a namespace An object in a namespace A symbolic link Information about a namespace"},"1450":{y:0,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/URL formats.htm",l:-1,t:"URL formats",i:0.000225147891110492,a:"The following sections show the URL formats you can use to access a namespace.  These formats all use a domain name to identify the HCP system.  As an alternative, you can use an IP address to identify the HCP system.  For information about specifying an IP address in a URL, see  Using an IP address ..."},"1451":{y:0,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/Using an IP address in a URL.htm",l:-1,t:"Using an IP address in a URL",i:0.000272992327433074,a:"Because you need to provide a hostname that includes the tenant and namespace names in all HTTP requests, using the hostname is the simplest way to access a namespace.  In some applications, however, using IP addresses may be more efficient than using the hostname.  For information about when to use ..."},"1452":{y:0,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/URL considerations.htm",l:-1,t:"URL considerations",i:0.000225147891110492,a:"The following considerations apply to specifying URLs in HTTP requests against a namespace.  For considerations that apply specifically to naming new objects, see  Object naming considerations . URL length For all HTTP methods except POST, the portion of a URL after rest, excluding any appended ..."},"1453":{y:0,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/Authenticating namespace access.htm",l:-1,t:"Authenticating namespace access",i:0.000225147891110492,a:"If a namespace requires authenticated client access, you need to pass a username and password in every HTTP request.  If a namespace does not require authenticated client access, you can optionally pass a username and password in an HTTP request or you can omit them to access the namespace ..."},"1454":{y:0,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/HCP authentication through HTTP.htm",l:-1,t:"HCP authentication through HTTP",i:0.000225147891110492,a:"To authenticate with HCP through HTTP, you need to construct an authentication token from a  system-level user account or a tenant-level user account and then submit it using a request header with all requests. Successful authentication requires encoding your account information."},"1455":{y:0,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/Authentication token.htm",l:-1,t:"Authentication token",i:0.000225147891110492,a:"An authentication token consists of a username in Base64-encoded format and a password that’s hashed using the MD5 hash algorithm separated by a colon, like this: base64-encoded-username:md5-hashed-password  For example, here’s the token for the Base64-encoded username myuser and the MD5-hashed ..."},"1456":{y:0,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/Authorization header.htm",l:-1,t:"Authorization header",i:0.000225147891110492,a:"You use the HTTP Authorization request header to provide the authentication token for a request.  The value of this header is HCP followed by the authentication token, in this format: Authorization: HCP authentication-token  For example, here’s the Authorization header for a user named myuser and ..."},"1457":{y:0,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/Active Directory user authentication through HTTP.htm",l:-1,t:"Active Directory user authentication through HTTP",i:0.000225147891110492,a:"Active Directory user authentication through HTTP To authenticate to HCP with Active Directory, you need to construct an authentication token from a AD user account and then submit it using a request header with all requests. The username and password does not need to be encoded."},"1458":{y:0,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/Active Directory authentication token.htm",l:-1,t:"Active Directory authentication token",i:0.000225147891110492,a:"Active Directory authentication token An AD authentication token consists of an AD username and password separated by a colon, like this: AD-username:AD-password For example, here’s the token for the username lgreen and the password p4ssw0rd: lgreen@example.com:p4sswOrd"},"1459":{y:0,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/Active Directory authorization header.htm",l:-1,t:"Active Directory authorization header",i:0.000320836763755655,a:"You use the HTTP Authorization request header to provide the authentication token for a request.  The value of this header is AD followed by the authentication token, in this format: Authorization: AD authentication-token For example, here’s the Authorization header for a user named lgreen and ..."},"1460":{y:0,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/Transmitting data in compressed format.htm",l:-1,t:"Transmitting data in compressed format",i:0.000225147891110492,a:"To save bandwidth, you can compress object data, an annotation, or an ACL in gzip format before sending it to HCP.  In the PUT request, you tell HCP that data is compressed so that HCP knows to decompress the data before storing it. Similarly, in a GET request, you can tell HCP to return object ..."},"1461":{y:0,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/Responding system.htm",l:-1,t:"Responding system",i:0.000225147891110492,a:"When an HCP system participates in replication, HTTP requests (except those that request information about a namespace) may be redirected to another system in the replication topology if the target system is unavailable.  For this redirection to work, both the target namespace and the HCP system ..."},"1462":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/Working with objects and versions.htm",l:-1,t:"Working with objects and versions",i:0.00044527723539612,a:"With HTTP, you can perform operations on individual objects.  Also, if the namespace you’re using is configured to allow versioning, you can store multiple versions of an object.  You can use this technique, for example, to preserve multiple states of a file that changes over time. You can perform ..."},"1463":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/Storing an object or version of an object.htm",l:-1,t:"Storing an object or version of an object",i:0.000783599966496148,a:"You use the HTTP PUT method to store an object or new version of an existing object in a namespace.  You can optionally use this method to store the object or version data and custom metadata in a single operation. To store versions, the namespace must be configured to allow versioning.  When ..."},"1464":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/Storing object request contents.htm",l:-1,t:"Request contents (PUT object)",i:0.000225147891110492,a:"The PUT request to store an object or version has these elements: If you’re accessing the namespace as an authenticated user, an Authorization header A URL specifying the location in which to store the object A body containing the fixed-content data to be stored in the namespace Conditionally ..."},"1465":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/Storing object access permission.htm",l:-1,t:"Access permission (PUT object)",i:0.000225147891110492,a:"Access permission (PUT object) To store an object in a namespace, you need write permission for the namespace. To store a version of an object in a namespace, you need write permission for the object or namespace."},"1466":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/Storing object request-specific return codes.htm",l:-1,t:"Request-specific return codes (PUT object)",i:0.000225147891110492,a:"Request-specific return codes (PUT object) The table below describes the HTTP return codes that have specific meaning for this request.  For descriptions of all possible return codes, see  HTTP return codes ."},"1467":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/Storing object request-specific response headers.htm",l:-1,t:"Request-specific response headers  (PUT object)",i:0.000225147891110492,a:"Request-specific response headers  (PUT object) The table below describes request-specific HTTP response headers returned by a successful request.  For information about all HCP-specific response headers, see  HCP-specific HTTP response headers ."},"1468":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/Storing object examples.htm",l:-1,t:"Storing object examples",i:0.000225147891110492,a:"Storing object examples The following sections show sample HTTP PUT requests for storing objects and versions of objects."},"1469":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/Storing an object or object version example.htm",l:-1,t:"Example 1: Storing an object or object version",i:0.000225147891110492,a:"Here’s a sample HTTP PUT request that stores a new object or new version of an object named Q1_2012.ppt in the quarterly_rpts directory. Request with curl command line curl  -k  -iT  Q1_2012.ppt     -H  \"Authorization: HCP bXl1c2Vy:3f3c6784e97531774380db177774ac8d\" ..."},"1470":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/Sending object or version data with an annotation (Unix) example.htm",l:-1,t:"Example 2: Sending object or version data with an annotation (Unix)",i:0.000225147891110492,a:"Here’s a Unix command line that uses an HTTP PUT request to store the object data and an annotation for a file named Q1_2012.ppt.  The request stores the object in the quarterly_rpts directory. The cat command appends the contents of the Q1_2012-custom-metadata.xml file to the contents of the ..."},"1471":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/Sending object or version data with an annotation (Java) example.htm",l:-1,t:"Example 3: Sending object or version data with an annotation (Java)",i:0.000225147891110492,a:"Here’s the partial implementation of a Java class named WholeIO.  The implementation shows the WriteToHCP method, which uses a single HTTP PUT request to store data and an annotation for an object (or version). This example assumes that the applicable imports are included in the full class ..."},"1472":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/Sending object data in compressed format (Unix) example.htm",l:-1,t:"Example 4: Sending object data in compressed format (Unix)",i:0.000225147891110492,a:"Here’s a Unix command line that uses the gzip utility to compress the Q1_2012.ppt file and then pipes the compressed output to a curl command.  The curl command makes an HTTP PUT request that sends the data and tells HCP that the data is compressed. Request with gzip and curl commands gzip  -c  ..."},"1473":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/Sending object data in compressed format (Java) example.htm",l:-1,t:"Example 5: Sending object data in compressed format (Java)",i:0.000320836763755655,a:"Here’s the partial implementation of a Java class named HTTPCompression.  The implementation shows the WriteToHCP method, which stores an object (or version) in an HCP namespace.  The method compresses the data before sending it and uses the Content-Encoding header to tell HCP that the data is ..."},"1474":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/Copying an object or version of an object.htm",l:-1,t:"Copying an object or version of an object",i:0.000262996898642745,a:"You use the HTTP PUT method to copy an object or existing version of an  object from one location to another.  The copy operation has these characteristics: The source location can be any namespace, including the default namespace. The target location must be an HCP namespace within the source ..."},"1475":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/Copying an object request contents.htm",l:-1,t:"Request contents (PUT copy object)",i:0.000225147891110492,a:"The PUT request to copy an object or version of an object has these elements: If you’re accessing the target namespace as an authenticated user, an Authorization header An X-HCP-CopySource header in this format: X-HCP-CopySource: source-namespace-name.source-tenant-name/source-object-path The value ..."},"1476":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/Copying an object access permission.htm",l:-1,t:"Access permission  (PUT copy object)",i:0.000225147891110492,a:"Access permission  (PUT copy object) To copy an object or version, you need read permission for the source namespace and write permission for the target namespace."},"1477":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/Copying an object request-specific return codes.htm",l:-1,t:"Request-specific return codes (PUT copy object)",i:0.000225147891110492,a:"Request-specific return codes (PUT copy object) The table below describes the HTTP return codes that have specific meaning for this request.  For descriptions of all possible return codes, see  HTTP return codes ."},"1478":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/Copying an object request-specific response headers.htm",l:-1,t:"Request-specific response headers (PUT copy object)",i:0.000225147891110492,a:"The request to copy an object returns an ETag header with the ETag of the stored object data, enclosed in double quotation marks (\").   This option does not return any request-specific HCP-specific headers.  For information about all HCP-specific response headers, see  HCP-specific HTTP response ..."},"1479":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/Copying an object example.htm",l:-1,t:"Example: Copying an object",i:0.000225147891110492,a:"Here’s a sample HTTP PUT request that copies an object  named Q1_2012.ppt from the default namespace if the source object has been modified since midnight, Tuesday, January 1, 2013 EST.  The request stores the object, using the source object name, in the finance namespace . Request with curl command ..."},"1480":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/CheckExistOfObjOrMultVrsnsOfObj.htm",l:-1,t:"Checking the existence of an object or multiple versions of an object",i:0.000884802372484012,a:"You use the HTTP HEAD method to check whether an object, a version of an object, or a range of versions of an object exists in a namespace. These requests also retrieve the metadata for the object without retrieving the object data. The metadata is returned in HTTP response headers. An HTTP 200 (OK) ..."},"1481":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/CheckExistOfObjOrMultVrsnsOfObjReqConts.htm",l:-1,t:"Request contents (HEAD object or versions)",i:0.000225147891110492,a:"The HEAD request to check the existence of an object or multiple version has these elements: If you’re accessing the namespace as an authenticated user, an Authorization header The URL of the object or symbolic link By default, the HEAD request to check the existence of object versions does not ..."},"1482":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/CheckExistOfObjOrMultVrsnsOfObjAccPerms.htm",l:-1,t:"Access permission (HEAD object or versions)",i:0.000225147891110492,a:"Access permission (HEAD object or versions) To check the existence of an object or multiple object versions, you need browse permission."},"1483":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/CheckExistOfObjOrMultVrsnsOfObjReqSpecRetCodes.htm",l:-1,t:"Request-specific return codes (HEAD object or versions)",i:0.000225147891110492,a:"Request-specific return codes (HEAD object or versions) The table below describes the HTTP return codes that have specific meaning for this request.  For descriptions of all possible return codes, see  HTTP return codes ."},"1484":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/CheckExistOfObjOrMultVrsnsOfObjReqSpecRespHeads.htm",l:-1,t:"Request-specific response headers (HEAD object or versions)",i:0.000225147891110492,a:"Request-specific response headers (HEAD object or versions) The table below describes request-specific response headers returned for this operation.  For information about all HCP-specific response headers, see  HCP-specific HTTP response headers ."},"1485":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/CheckExistOfObjOrMultVrsnsOfObjEx.htm",l:-1,t:"Examples",i:0.000225147891110492,a:"Examples The following sections show sample HTTP HEAD requests for checking the existence of an object or multiple versions of an object."},"1486":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/Checking the existence of an object example.htm",l:-1,t:"Example 1: Checking the existence of an object",i:0.000225147891110492,a:"Here’s a sample HTTP HEAD request that checks the existence of an object named Q1_2012.ppt in the quarterly_rpts directory. Request with curl command line curl  -iI  -k  -H  \"Authorization: HCP bXl1c2Vy:3f3c6784e97531774380db177774ac8d\" ..."},"1487":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/CheckExistOfObjVrsnAtASpecTimeEx.htm",l:-1,t:"Example 2: Checking the existence of an object version at a specified time",i:0.000225147891110492,a:"Here’s a sample HTTP HEAD request that checks the existence of a version of an object named Q1_2012.ppt in the quarterly_rpts directory at the specified time of 80232998058817 using the object version ingest time. Request with curl command line curl  -i -I -k  -H  \"Authorization: HCP ..."},"1488":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/CheckExistOfRangeOfObjVrsns.htm",l:-1,t:"Example 3: Checking the existence of a range of object versions",i:0.000225147891110492,a:"Here’s a sample HTTP HEAD request that checks the existence of a range of object versions for an object named Q1_2012.ppt in the quarterly_rpts directory. The version range for the object is 80232998058817-80232998058819. Request with curl command line curl  -i -I -k  -H  \"Authorization: HCP ..."},"1489":{y:0,u:"../Content/Using a Namespace/Working with objects and versions/Listing object versions.htm",l:-1,t:"Listing object versions",i:0.000899327901733078,a:"While versioning is enabled, you use the HTTP GET method to list the versions of an object. By default, the response body contains an XML listing that includes the current version and old versions that haven’t been pruned.  It does not include versions that have been deleted.  However, you can ..."},});