define({"1691":{y:0,u:"../Content/Using a Namespace/Using WebDAV/Storing dead properties as custom metadata.htm",l:-1,t:"Storing dead properties as custom metadata",i:0.00120132016057567,a:"HCP can be configured to store WebDAV dead properties as custom metadata for an object.  When HCP is configured this way, you use the PROPPATCH and PROPFIND methods to store and retrieve dead properties just as you do for live properties. This is the only way HCP can store dead properties.  If a ..."},"1692":{y:0,u:"../Content/Using a Namespace/Using WebDAV/WebDAV return codes.htm",l:-1,t:"WebDAV return codes",i:0.000272992327433074,a:"WebDAV return codes The table below describes the possible return codes for WebDAV requests against namespaces."},"1693":{y:0,u:"../Content/Using a Namespace/Using WebDAV/WebDAV examples.htm",l:-1,t:"WebDAV examples",i:0.000225147891110492,a:"WebDAV examples The following sections show examples of using WebDAV to access the data directory in a namespace named finance in a tenant named europe.  These examples use cadaver."},"1694":{y:0,u:"../Content/Using a Namespace/Using WebDAV/Storing an object WebDAV example.htm",l:-1,t:"Example 1: Storing an object (WebDAV)",i:0.000225147891110492,a:"Here’s a sample WebDAV PUT request that stores a new object named  Q1_2012.ppt in the presentations directory. Request with cadaver command line put Q1_2012.ppt presentations/Q1_2012.ppt Request headers PUT /webdav/data/presentations/Q1_2012.ppt HTTP/1.1 Host: finance.europe.hcp.example.com ..."},"1695":{y:0,u:"../Content/Using a Namespace/Using WebDAV/Retrieving the index setting for an object WebDAV example.htm",l:-1,t:"Example 2: Retrieving the index setting for an object (WebDAV)",i:0.000225147891110492,a:"Here’s a sample WebDAV PROPFIND request that returns the index setting for the object named wind.jpg in the presentations/images directory. Request with cadaver command line propget presentations/images/wind.jpg index Request XML body \u003c?xml version=\"1.0\" encoding=\"utf-8\" ?\u003e \u003cns0:propfind ..."},"1696":{y:0,u:"../Content/Using a Namespace/Using WebDAV/Changing the retention setting for an object WebDAV example.htm",l:-1,t:"Example 3: Changing the retention setting for an object (WebDAV)",i:0.000225147891110492,a:"Here’s a sample WebDAV PROPPATCH request that changes the retention setting for the object named wind.jpg in the presentations/images directory. Request with cadaver command line propset presentations/images/wind.jpg retention-string 2015-09-30T17:00:00-0400 Request XML body \u003c?xml version=\"1.0\" ..."},"1697":{y:0,u:"../Content/Using a Namespace/Using WebDAV/Storing a dead property as custom metadata WebDAV example.htm",l:-1,t:"Example 4: Storing a dead property as custom metadata (WebDAV)",i:0.000735718062258507,a:"Here’s a sample WebDAV PROPPATCH request that sets the presentedBy property for the object named Q1_2012.ppt in the presentations directory. Request with cadaver command line propset presentations/Q1_2012.ppt presentedBy Lee.Green Request XML body \u003c?xml version=\"1.0\" encoding=\"utf-8\" ?\u003e ..."},"1698":{y:0,u:"../Content/Using a Namespace/WebDAV usage considerations/WebDAV usage considerations.htm",l:-1,t:"WebDAV usage considerations",i:0.000340154287091701,a:"WebDAV usage considerations This chapter contains usage considerations that affect namespace access with WebDAV.  For additional considerations that are not specific to the WebDAV protocol, see  General usage considerations ."},"1699":{y:0,u:"../Content/Using a Namespace/WebDAV usage considerations/Basic authentication with WebDAV.htm",l:-1,t:"Basic authentication with WebDAV",i:0.000270600277601497,a:"A namespace can be configured to require basic authentication for WebDAV access.  If basic authentication is enabled, you’re prompted for a username and password when you access the namespace through WebDAV.  For the username and password to use, contact your tenant administrator. Even when basic ..."},"1700":{y:0,u:"../Content/Using a Namespace/WebDAV usage considerations/WebDAV object locking.htm",l:-1,t:"WebDAV object locking",i:0.000225147891110492,a:"WebDAV object locking To accommodate WebDAV clients that require locking functionality, HCP supports the LOCK and UNLOCK methods.  However, a LOCK request locks the specified object only on the target node.  As a result, locking an object does not prevent other nodes from modifying it."},"1701":{y:0,u:"../Content/Using a Namespace/WebDAV usage considerations/Using WebDAV with objects open for write.htm",l:-1,t:"Using WebDAV with objects open for write",i:0.000225147891110492,a:"These considerations apply to using WebDAV to access objects that are open for write: If you try to write to the object, HCP returns an HTTP 409 (Conflict) error.  If try to retrieve, delete, or check the existence of an object that’s open for write, HCP returns an HTTP 404 (Not Found) error code ..."},"1702":{y:0,u:"../Content/Using a Namespace/WebDAV usage considerations/Failed WebDAV write operations.htm",l:-1,t:"Failed WebDAV write operations",i:0.000225147891110492,a:"A WebDAV write operation is considered to have failed if either of these is true: The target node failed while the object was open for write. The TCP connection broke (for example, due to a front-end network failure or the abnormal termination of the client application) while the object was open for ..."},"1703":{y:0,u:"../Content/Using a Namespace/WebDAV usage considerations/Storing zero-sized files with WebDAV.htm",l:-1,t:"Storing zero-sized files with WebDAV",i:0.000225147891110492,a:"Storing zero-sized files with WebDAV When you store a zero-sized file with WebDAV, the resulting object has no data.  Because WebDAV causes a flush and a close even when no data is present, this object is WORM and is treated like any other object in the namespace."},"1704":{y:0,u:"../Content/Using a Namespace/WebDAV usage considerations/WebDAV client timeouts with long-running requests.htm",l:-1,t:"WebDAV client timeouts with long-running requests",i:0.000225147891110492,a:"Some WebDAV operations, such as a GET request on a very large directory, can take a long time to complete. During such an operation, HCP does not communicate back to the client.  As a result, the connection may time out on the client. If an operation may take a long time, you should adjust the ..."},"1705":{y:0,u:"../Content/Using a Namespace/WebDAV usage considerations/Persistent connections with WebDAV.htm",l:-1,t:"Persistent connections with WebDAV",i:0.000225147891110492,a:"HCP supports persistent connections with WebDAV.  Following a request for an operation, HCP keeps the connection open for 60 seconds, so a subsequent request can use the same connection. Persistent connections enhance performance because they avoid the overhead of opening and closing multiple ..."},"1706":{y:0,u:"../Content/Using a Namespace/WebDAV usage considerations/Multithreading with WebDAV.htm",l:-1,t:"Multithreading with WebDAV",i:0.000225147891110492,a:"HCP lets multiple threads access a namespace simultaneously.  Using multiple threads can enhance performance, especially when accessing many small objects across multiple directories.  For more information about multithreading, see  Multithreading . HCP has a limit of 255 concurrent WebDAV ..."},"1707":{y:0,u:"../Content/Using a Namespace/Parts/CIFS.htm",l:-1,t:"CIFS",i:0.000270600277601497,a:"CIFS This section of the Help contains information on using the CIFS namespace access protocol: Using CIFS CIFS usage considerations"},"1708":{y:0,u:"../Content/Using a Namespace/Using CIFS/Using CIFS.htm",l:-1,t:"Using CIFS",i:0.000340154287091701,a:"CIFS is one of the industry-standard protocols HCP supports for namespace access.  To access a namespace through CIFS, you can write applications that use any standard CIFS client library, or you can use the Windows GUI or a Command Prompt window to access the namespace directly. Using the CIFS ..."},"1709":{y:0,u:"../Content/Using a Namespace/Using CIFS/Namespace access with CIFS.htm",l:-1,t:"Namespace access with CIFS",i:0.000361505050583505,a:"You access a namespace through CIFS by mapping the namespace to a network drive or by adding the namespace as a network place on a CIFS client.  You can map or add the namespace as a whole, either root directory (data or metadata), or any specific data directory or metadirectory.  Additionally, you ..."},"1710":{y:0,u:"../Content/Using a Namespace/Using CIFS/CIFS examples.htm",l:-1,t:"CIFS examples",i:0.000225147891110492,a:"The following sections show examples of using CIFS to access a namespace.  Each example shows both a Windows command and Python code that implements the same command. These examples assume that the data directory is mapped to the X: drive and the metadata metadirectory is mapped to the Y: drive."},"1711":{y:0,u:"../Content/Using a Namespace/Using CIFS/Storing an object CIFS example.htm",l:-1,t:"Example 1: Storing an object (CIFS)",i:0.000225147891110492,a:"Example 1: Storing an object (CIFS) This example stores an object named wind.jpg in the existing images directory by copying a file of the same name from the local file system. Windows command copy  wind.jpg  x:\\images Python code import shutil shutil.copy(\"wind.jpg\", \"x:\\\\images\\\\wind.jpg\")"},"1712":{y:0,u:"../Content/Using a Namespace/Using CIFS/Changing a retention setting CIFS example.htm",l:-1,t:"Example 2: Changing a retention setting (CIFS)",i:0.000225147891110492,a:"This example extends the retention period for the wind.jpg object by one year.  If this object is still open due to lazy close, changing the retention setting closes it.  For information about lazy close, see  CIFS lazy close . Windows command echo  +1y  \u003e  y:\\images\\wind.jpg\\retention.txt Python ..."},"1713":{y:0,u:"../Content/Using a Namespace/Using CIFS/Retrieving an object CIFS example.htm",l:-1,t:"Example 3: Retrieving an object (CIFS)",i:0.000225147891110492,a:"This example retrieves the object named wind.jpg from the namespace and stores the resulting file with the same name in the existing RetrievedFiles directory. Windows command copy  x:\\images\\wind.jpg  RetrievedFiles Python code import shutil shutil.copy(\"x:\\\\images\\\\wind.jpg\", ..."},"1714":{y:0,u:"../Content/Using a Namespace/Using CIFS/CIFS return codes.htm",l:-1,t:"CIFS return codes",i:0.000272992327433074,a:"CIFS return codes The table below describes the possible return codes for CIFS requests against a namespace."},"1715":{y:0,u:"../Content/Using a Namespace/CIFS usage considerations/CIFS usage considerations.htm",l:-1,t:"CIFS usage considerations",i:0.000340154287091701,a:"CIFS usage considerations This chapter presents considerations that affect the use of the CIFS protocol for namespace access. For additional considerations that are not specific to the CIFS protocol, see  General usage considerations ."},"1716":{y:0,u:"../Content/Using a Namespace/CIFS usage considerations/CIFS case sensitivity.htm",l:-1,t:"CIFS case sensitivity",i:0.000546547323320936,a:"The Windows operating system is case preserving but not case sensitive.  The HCP CIFS implementation, by default, is both case preserving and case sensitive.  One result of this discrepancy is that Windows applications that don’t observe differences in case may not be able to access objects by name. ..."},"1717":{y:0,u:"../Content/Using a Namespace/CIFS usage considerations/CIFS permission translations.htm",l:-1,t:"CIFS permission translations",i:0.000416525636400818,a:"CIFS permission translations When you view an object on a Windows client, CIFS translates the POSIX permission settings used in the namespace into settings Windows understands.  The table below shows how CIFS maps POSIX permissions to Windows permissions."},"1718":{y:0,u:"../Content/Using a Namespace/CIFS usage considerations/Creating an empty directory with atime synchronization in effect.htm",l:-1,t:"Creating an empty directory with atime synchronization in effect",i:0.000225147891110492,a:"When you use Windows Explorer to create a new directory, Windows automatically names it New Folder.  This is also true for directories you create in a namespace. Normally, you can rename an empty directory in a namespace.  However, if atime synchronization is in effect, you cannot do this.  As a ..."},"1719":{y:0,u:"../Content/Using a Namespace/CIFS usage considerations/CIFS lazy close.htm",l:-1,t:"CIFS lazy close",i:0.000512214509045981,a:"When writing a file to a namespace, CIFS can cause a flush at any time.  After each flush or write, HCP waits a short amount of time for the next one.  If no write occurs within that time, HCP considers the resulting object to be complete and closes it.  This event is called lazy close. If you set ..."},"1720":{y:0,u:"../Content/Using a Namespace/CIFS usage considerations/Using CIFS with objects open for write.htm",l:-1,t:"Using CIFS with objects open for write",i:0.000225147891110492,a:"These considerations apply to objects that are open for write through any protocol: While an object is open for write through one IP address, you cannot open it for write through any other IP address. You can read an object that is open for write from any IP address, even though the object data may ..."},"1721":{y:0,u:"../Content/Using a Namespace/CIFS usage considerations/Failed CIFS write operations.htm",l:-1,t:"Failed CIFS write operations",i:0.000225147891110492,a:"A CIFS write operation is considered to have failed if the target node failed while the object was open for write.  Also, in some circumstances, a write operation is considered to have failed if another node or other hardware failed while the object was open for write. A CIFS write operation is not ..."},"1722":{y:0,u:"../Content/Using a Namespace/CIFS usage considerations/Storing zero-sized files with CIFS.htm",l:-1,t:"Storing zero-sized files with CIFS",i:0.000225147891110492,a:"Storing zero-sized files with CIFS When you store a zero-sized file with CIFS, the resulting object has no data.  After lazy close occurs, the object becomes WORM and is treated like any other object in the namespace."},"1723":{y:0,u:"../Content/Using a Namespace/CIFS usage considerations/Out-of-order writes with CIFS.htm",l:-1,t:"Out-of-order writes with CIFS",i:0.000225147891110492,a:"CIFS can write the data for an object out of order.  If HCP receives an out-of-order write for a large file (200,000 bytes or larger), it discards the cryptographic hash value it already calculated.  The object then has no hash value until one of these occurs: HCP returns to the object at a later ..."},"1724":{y:0,u:"../Content/Using a Namespace/CIFS usage considerations/Temporary files created by Windows clients.htm",l:-1,t:"Temporary files created by Windows clients",i:0.000225147891110492,a:"During certain operations, Windows clients may create temporary files.  In a namespace, these files correspond to successfully created objects. As with any other new object stored through the CIFS protocol, the retention period for such an object is determined by the namespace configuration.  If the ..."},"1725":{y:0,u:"../Content/Using a Namespace/CIFS usage considerations/Multithreading with CIFS.htm",l:-1,t:"Multithreading with CIFS",i:0.000225147891110492,a:"HCP lets multiple threads access a namespace simultaneously.  Using multiple threads can enhance performance, especially when accessing many small objects across multiple directories.  For more information about multithreading, see  Multithreading . With CIFS, multiple concurrent threads can write ..."},"1726":{y:0,u:"../Content/Using a Namespace/Parts/NFS.htm",l:-1,t:"NFS",i:0.000270600277601497,a:"NFS This section of the Help contains information on using the NFS namespace access protocol: Using NFS NFS usage considerations"},"1727":{y:0,u:"../Content/Using a Namespace/Using NFS/Using NFS.htm",l:-1,t:"Using NFS",i:0.000340154287091701,a:"NFS is one of the industry-standard protocols HCP supports for namespace access.  To access a namespace through NFS, you can write applications that use any standard NFS client library, or you can use the command line in an NFS client to access the namespace directly. Using the NFS protocol, you can ..."},"1728":{y:0,u:"../Content/Using a Namespace/Using NFS/Namespace access with NFS.htm",l:-1,t:"Namespace access with NFS",i:0.000225147891110492,a:"You access the namespace through NFS by mounting a namespace directory on an NFS client.  You can mount the namespace as a whole, either root directory (data or metadata), or any specific data directory or metadirectory.  Additionally, you can have multiple directories mounted at the same time. Once ..."},"1729":{y:0,u:"../Content/Using a Namespace/Using NFS/NFS examples.htm",l:-1,t:"NFS examples",i:0.000225147891110492,a:"The following sections show examples of using NFS to access a namespace.  Each example shows both a Unix command and Python code that implements the same command. These examples assume that the data directory is mounted at datamount and the metadata metadirectory is mounted at metadatamount."},"1730":{y:0,u:"../Content/Using a Namespace/Using NFS/Storing an object NFS example.htm",l:-1,t:"Example 1: Storing an object (NFS)",i:0.000225147891110492,a:"This example stores an object named wind.jpg in the existing images directory by copying a file of the same name from the local file system. Unix command cp  wind.jpg  /datamount/images/wind.jpg Python code import shutil shutil.copy(\"wind.jpg\", \"/datamount/images/wind.jpg\")"},"1731":{y:0,u:"../Content/Using a Namespace/Using NFS/Changing a retention setting example.htm",l:-1,t:"Example 2: Changing a retention setting (NFS)",i:0.000225147891110492,a:"This example extends the retention period for the wind.jpg object by one year.  If this object is still open due to lazy close, changing the retention setting closes it.  For information about lazy close, see  NFS lazy close . Unix command echo  +1y  \u003e  /metadatamount/images/wind.jpg/retention.txt ..."},"1732":{y:0,u:"../Content/Using a Namespace/Using NFS/Using atime to set retention NFS example.htm",l:-1,t:"Example 3: Using atime to set retention (NFS)",i:0.000225147891110492,a:"This example changes the value of the POSIX atime attribute for the wind.jpg object. If the namespace is configured to synchronize atime values with retention settings and the object has a retention setting that specifies a date or time in the future, this also changes the retention setting for the ..."},"1733":{y:0,u:"../Content/Using a Namespace/Using NFS/Creating a symbolic link NFS example.htm",l:-1,t:"Example 4: Creating a symbolic link (NFS)",i:0.000225147891110492,a:"This example creates a symbolic link named big_dipper that references an object named ursa_major.jpg. Unix command ln  -s  /datamount/images/constellations/ursa_major.jpg \t/datamount/constellations/common_names/big_dipper Python code import os ..."},"1734":{y:0,u:"../Content/Using a Namespace/Using NFS/Retrieving an object NFS example.htm",l:-1,t:"Example 5: Retrieving an object (NFS)",i:0.000225147891110492,a:"This example retrieves the object named wind.jpg from a namespace and stores the resulting file in the retrieved_files directory. Unix command cp  /datamount/images/wind.jpg  retrieved_files/wind.jpg Python code import shutil shutil.copy(\"/datamount/images/wind.jpg\", \"retrieved_files/ \\ \twind.jpg\")"},"1735":{y:0,u:"../Content/Using a Namespace/Using NFS/NFS return codes.htm",l:-1,t:"NFS return codes",i:0.000272992327433074,a:"NFS return codes The table below describes the possible return codes for NFS requests against a namespace."},"1736":{y:0,u:"../Content/Using a Namespace/NFS usage considerations/NFS usage considerations.htm",l:-1,t:"NFS usage considerations",i:0.000340154287091701,a:"NFS usage considerations This chapter presents considerations that affect the use of the NFS protocol for namespace access. For additional considerations that are not specific to the NFS protocol, see  General usage considerations ."},"1737":{y:0,u:"../Content/Using a Namespace/NFS usage considerations/NFS lazy close.htm",l:-1,t:"NFS lazy close",i:0.000512214509045981,a:"When writing a file to the namespace, NFS can cause a flush at any time and never issue a close.  After each flush or write, HCP waits a short amount of time for the next one.  If no write occurs within that time, HCP considers the resulting object to be complete and automatically closes it.  This ..."},"1738":{y:0,u:"../Content/Using a Namespace/NFS usage considerations/Using NFS with objects open for write.htm",l:-1,t:"Using NFS with objects open for write",i:0.000225147891110492,a:"These considerations apply to objects that are open for write through any protocol: While an object is open for write through one IP address, you cannot open it for write through any other IP address. You can read an object that is open for write from any IP address, even though the object data may ..."},"1739":{y:0,u:"../Content/Using a Namespace/NFS usage considerations/Failed NFS write operations.htm",l:-1,t:"Failed NFS write operations",i:0.000225147891110492,a:"An NFS write operation is considered to have failed if the target node failed while the object was open for write.  Also, in some circumstances, a write operation is considered to have failed if another node or other hardware failed while the object was open for write. An NFS write operation is not ..."},"1740":{y:0,u:"../Content/Using a Namespace/NFS usage considerations/Storing zero-sized files with NFS.htm",l:-1,t:"Storing zero-sized files with NFS",i:0.000225147891110492,a:"Storing zero-sized files with NFS When you store a zero-sized file with NFS, the resulting object has no data.  After lazy close occurs, the object becomes WORM and is treated like any other object in the namespace."},"1741":{y:0,u:"../Content/Using a Namespace/NFS usage considerations/Out-of-order writes with NFS.htm",l:-1,t:"Out-of-order writes with NFS",i:0.000225147891110492,a:"NFS can write the data for an object out of order.  If HCP receives an out-of-order write for a large file (200,000 bytes or larger), it discards the cryptographic hash value it already calculated.  The object then has no hash value until either of these occurs: HCP returns to the object at a later ..."},"1742":{y:0,u:"../Content/Using a Namespace/NFS usage considerations/NFS reads of large objects.htm",l:-1,t:"NFS reads of large objects",i:0.000225147891110492,a:"NFS reads of large objects While HCP is reading very large objects (thousands of megabytes or more) through NFS, system performance decreases."},"1743":{y:0,u:"../Content/Using a Namespace/NFS usage considerations/Walking large directory trees.htm",l:-1,t:"Walking large directory trees",i:0.000225147891110492,a:"HCP occasionally reuses inode numbers.  Normally, this has no impact.  However, it can affect programs that walk the directory tree, like the Unix du command.  If you run such a program against a very large directory tree, it may not go down certain subdirectory paths. One way to prevent this ..."},"1744":{y:0,u:"../Content/Using a Namespace/NFS usage considerations/NFS delete operations.htm",l:-1,t:"NFS delete operations",i:0.000225147891110492,a:"NFS delete operations While an object is open for write through NFS on a given node, it cannot be deleted through NFS on other nodes."},"1745":{y:0,u:"../Content/Using a Namespace/NFS usage considerations/NFS mounts on a failed node.htm",l:-1,t:"NFS mounts on a failed node",i:0.000225147891110492,a:"If an HCP node fails, NFS mounts that target the failed node lose their connections to the namespace.  To recover from a node failure, unmount the namespace at the current mount point.  Then take one of these actions: Mount the namespace on a different node.  You can do this by specifying either the ..."},"1746":{y:0,u:"../Content/Using a Namespace/NFS usage considerations/Multithreading with NFS.htm",l:-1,t:"Multithreading with NFS",i:0.000225147891110492,a:"HCP lets multiple threads access a namespace simultaneously.  Using multiple threads can enhance performance, especially when accessing many small objects across multiple directories.  For more information about multithreading, see  Multithreading . With NFS, multiple concurrent threads can write to ..."},"1747":{y:0,u:"../Content/Using a Namespace/Parts/Namespace Browser.htm",l:-1,t:"Namespace Browser",i:0.000416525636400818,a:"Namespace Browser This section of the Help contains information on using the HCP Namespace Browser: Introduction to the Namespace Browser Working with namespace contents Viewing namespace information"},"1748":{y:0,u:"../Content/Using a Namespace/Introduction to the Namespace Browser/Introduction to the Namespace Browser.htm",l:-1,t:"Introduction to the Namespace Browser",i:0.000343164855311067,a:"Introduction to the Namespace Browser The HCP Namespace Browser lets you manage namespace content and view information about namespaces.  This chapter contains instructions for logging in to the Namespace Browser and describes the Browser interface."},"1749":{y:0,u:"../Content/Using a Namespace/Introduction to the Namespace Browser/About the Namespace Browser.htm",l:-1,t:"About the Namespace Browser",i:0.000607903381691144,a:"The Namespace Browser is an easy-to-use web application that lets you: Navigate and manage namespace content View information about namespaces When you work with namespace content, you can list directories and view or retrieve objects.  You can also manage namespace content by adding directories and ..."},"1750":{y:0,u:"../Content/Using a Namespace/Introduction to the Namespace Browser/Namespace Browser sessions.htm",l:-1,t:"Namespace Browser sessions",i:0.000225147891110492,a:"A Namespace Browser session begins when you take one of these actions: Log into the Browser using an HCP user account. Log into the Browser anonymously. Access a Browser page using single sign-on. Log into the Browser using a recognized AD user account other than the one with which you’re currently ..."},"1751":{y:0,u:"../Content/Using a Namespace/Introduction to the Namespace Browser/Common elements.htm",l:-1,t:"Common elements",i:0.000225147891110492,a:"All Namespace Browser pages have these options in the menu bar at the top of the page: Content — Displays the top-level directories in the current namespace. Namespace — Displays the list of namespaces you can access and provides access to information about these namespaces. Search HCP — Opens the ..."},"1752":{y:0,u:"../Content/Using a Namespace/Introduction to the Namespace Browser/Changing your password.htm",l:-1,t:"Changing your password",i:0.000416525636400818,a:"If you’re accessing the Namespace Browser with a locally authenticated HCP user account, you can change your password in the Namespace Browser.  When you change your password in the Namespace Browser, it also changes the password for any other HCP interfaces to which your user account gives you ..."},"1753":{y:0,u:"../Content/Using a Namespace/Working with namespace contents/Working with namespace contents.htm",l:-1,t:"Working with namespace contents",i:0.000343164855311067,a:"The Namespace Browser lets you perform these operations on the contents of a namespace: Browse the namespace to list directories and their contents.  If versioning is enabled for the namespace, you can optionally include deleted objects in the lists. If versioning is enabled for the namespace, list ..."},"1754":{y:0,u:"../Content/Using a Namespace/Working with namespace contents/Listing directory contents.htm",l:-1,t:"Listing directory contents",i:0.000505038359551249,a:"To list the contents of a directory in a namespace, click Content in the Namespace Browser menu bar and navigate to the directory you want.  Each directory name is a link that lists the directory contents. All directory listing pages, except the page that lists the top-level directories, have a ..."},"1755":{y:0,u:"../Content/Using a Namespace/Working with namespace contents/Directory listing.htm",l:-1,t:"Directory listing",i:0.000225147891110492,a:"The directory listing displays information about the objects in a directory and provides access to subdirectories, symbolic links, and object versions. The Namespace Browser displays up to 100 entries at a time.  If a directory has more than 100 entries, you can use the Previous and Next buttons to ..."},"1756":{y:0,u:"../Content/Using a Namespace/Working with namespace contents/Showing and hiding deleted objects and directories.htm",l:-1,t:"Showing and hiding deleted objects and directories",i:0.000225147891110492,a:"By default, the directory listing does not include deleted objects, directories, or symbolic links.  If the namespace has versioning enabled, you can show or hide deleted items by clicking the link that says Show deleted objects (if deleted objects are not being shown) or Hide deleted objects (if ..."},"1757":{y:0,u:"../Content/Using a Namespace/Working with namespace contents/Listing object versions.htm",l:-1,t:"Listing object versions",i:0.000272992327433074,a:"To view a list of the versions of an object, browse to the directory that contains the object and click the version icon (    ) for the object.  If the directory listing includes deleted objects, you can list the versions of the deleted objects. All version listing pages have a parent directory icon ..."},"1758":{y:0,u:"../Content/Using a Namespace/Working with namespace contents/Viewing and retrieving object and version content.htm",l:-1,t:"Viewing and retrieving object and version content",i:0.000272992327433074,a:"You can view objects or old versions of objects and retrieve their content. Accessing objectsTo view or retrieve an object, navigate to the directory that contains the object and click the object name or the type icon to the left of the object name.  The browser downloads the object data and either ..."},});