define({"315":{y:0,u:"../Content/Administering HCP/HCP services/Compression service.htm",l:-1,t:"Compression/Encryption service",i:0.000346088567318857,a:"The Compression/Encryption service compresses object data to make more efficient use of HCP storage space.  The space reclaimed by compression can be used to store additional objects. Depending on the types of objects stored, compression can provide a significant benefit.  For example, email objects ..."},"316":{y:0,u:"../Content/Administering HCP/HCP services/Compression service processing.htm",l:-1,t:"Compression/Encryption service processing",i:0.000225147891110492,a:"When the Compression/Encryption service runs, it checks each object that’s eligible for compression.  If the object isn’t already compressed, it compresses it.  If compressing the object doesn’t reduce its size (for example, because it’s already in a compressed format), the Compression/Encryption ..."},"317":{y:0,u:"../Content/Administering HCP/HCP services/Understanding compression statistics.htm",l:-1,t:"Understanding compression statistics",i:0.000225147891110492,a:"The Compression page in the HCP System Management Console displays statistics about the space saved by the Compression/Encryption service.  It also lets you control various aspects of compression activity. To display the Compression page, in the top-level menu of the System Management Console, ..."},"318":{y:0,u:"../Content/Administering HCP/HCP services/Changing compression settings.htm",l:-1,t:"Changing compression settings",i:0.000225147891110492,a:"You can control which objects and object parts HCP compresses based on these properties: Age — You can compress only objects and parts that were added to the repository more than some number of days ago. Size — You can compress only objects and parts whose content is larger than a specified size.  ..."},"319":{y:0,u:"../Content/Administering HCP/HCP services/What you do.htm",l:-1,t:"How to change compression settings",i:0.000225147891110492,a:"To change the settings for the Compression/Encryption service, on the Compression page in the System Management Console: In the Compression Settings section, configure the settings that you want to use: To compress only objects and parts added to a namespace more than a certain number of days ago, ..."},"320":{y:0,u:"../Content/Administering HCP/HCP services/Exclusion criteria.htm",l:-1,t:"Exclusion criteria",i:0.000225147891110492,a:"You can exclude objects and parts from compression based on location, name, or a combination of the two.  Locations are paths relative to the namespace identification plus any protocol-specific identifiers, such as rest for the HTTP protocol or data for the CIFS protocol. For object names, you can ..."},"321":{y:0,u:"../Content/Administering HCP/HCP services/Content verification service.htm",l:-1,t:"Content Verification service",i:0.000306217630434866,a:"When an object is created, HCP uses cryptographic hash algorithms to calculate various hash values for it.  These values, which are generated based on the object data, system metadata, and custom metadata are stored with the primary metadata for the object. One of the hash values that is generated ..."},"322":{y:0,u:"../Content/Administering HCP/HCP services/Content verification service processing.htm",l:-1,t:"Content Verification service processing",i:0.000225147891110492,a:"The Content Verification service has two main functions:  detecting corrupted data and discrepancies in metadata, and repairing that data and metadata. Detecting content verification violations To detect corrupted data, the Content Verification service regenerates the cryptographic hash values for ..."},"323":{y:0,u:"../Content/Administering HCP/HCP services/Configuring the content verification service.htm",l:-1,t:"Configuring the Content Verification service",i:0.000225147891110492,a:"The Content Verification service regenerates cryptographic hash values to detect object corruption. Under certain circumstances, you might want to modify or disable this function to reduce the load on the system. Before you begin The circumstances when you might want to modify or disable the Content ..."},"324":{y:0,u:"../Content/Administering HCP/HCP services/Disposition service.htm",l:-1,t:"Disposition service",i:0.000237109000191138,a:"The Disposition service automatically deletes expired objects.   An object is expired if either of these conditions is true: The object has a retention setting that’s a specific date and time, and that date and time is in the past. The object has a retention setting that’s a retention class, and the ..."},"325":{y:0,u:"../Content/Administering HCP/HCP services/Duplicate elimination service.htm",l:-1,t:"Duplicate Elimination service",i:0.000346088567318857,a:"Duplicate elimination is the process of merging the data associated with two or more identical objects.  For objects to be identical, their data content must match exactly.  By eliminating duplicates, HCP increases the amount of space available for storing additional objects. For example, if the ..."},"326":{y:0,u:"../Content/Administering HCP/HCP services/Duplicate elimination service processing.htm",l:-1,t:"Duplicate Elimination service processing",i:0.000225147891110492,a:"HCP performs duplicate elimination by first sorting objects, parts, and chunks according to their MD5 hash values.  After sorting all the objects, parts, and chunks in the repository, the service checks for objects, parts, and chunks with the same hash value.  If the service finds any, it compares ..."},"327":{y:0,u:"../Content/Administering HCP/HCP services/Understanding duplicate elimination statistics.htm",l:-1,t:"Understanding the Duplicate Elimination page",i:0.000225147891110492,a:"The Duplicate Elimination page in the HCP System Management Console shows statistics about duplicate-eliminated objects, parts, and chunks. To display the Duplicate Elimination page, in the top-level menu of the System Management Console, select Services \u003e Duplicate Elimination. The Duplication ..."},"328":{y:0,u:"../Content/Administering HCP/HCP services/Fast object recovery service.htm",l:-1,t:"Fast Object Recovery service",i:0.000237109000191138,a:"The Fast Object Recovery service checks unavailable objects and, if it finds that an object is available, changes the object status from unavailable to available. The service runs automatically if the Content Verification service is enabled. If the Content Verification service is disabled, the Fast ..."},"329":{y:0,u:"../Content/Administering HCP/HCP services/Garbage collection service.htm",l:-1,t:"Garbage collection service",i:0.000237109000191138,a:"Garbage collection service The Garbage Collection service ensures that HCP storage does not fill up with data that is no longer needed. The Garbage Collection service runs according to the active service schedule."},"330":{y:0,u:"../Content/Administering HCP/HCP services/Garbage collection service processing.htm",l:-1,t:"Garbage Collection service processing",i:0.000225147891110492,a:"Garbage Collection service processing The Garbage Collection service performs several functions, including object deletions and transaction log cleanup."},"331":{y:0,u:"../Content/Administering HCP/HCP services/Object deletions.htm",l:-1,t:"Object deletions",i:0.000288940472873934,a:"The Garbage Collection service performs object deletions according to the following scenarios: When a client or the Disposition service deletes an object, HCP hides the object data and metadata, marks the object for deletion, and if possible, immediately deletes it. When a client purges an object, ..."},"332":{y:0,u:"../Content/Administering HCP/HCP services/Transaction log cleanup.htm",l:-1,t:"Transaction log cleanup",i:0.000340963177895442,a:"HCP maintains a transaction log of all create, delete, purge, prune, and disposition operations performed on objects.  HCP uses this log to respond to operation-based queries issued through the metadata query API. HCP adds and deletes records in the transaction log according to the following ..."},"333":{y:0,u:"../Content/Administering HCP/HCP services/Other garbage collection service functions.htm",l:-1,t:"Other Garbage Collection service functions",i:0.000225147891110492,a:"The Garbage Collection service performs the following additional functions. Deletes data and metadata left in the repository by unsuccessful or interrupted write operations. Deletes extra copies of objects, parts, and chunks that are marked for deletion.   For example, the following series of events ..."},"334":{y:0,u:"../Content/Administering HCP/HCP services/Configuring the garbage collection service.htm",l:-1,t:"Configuring the Garbage Collection service",i:0.000225147891110492,a:"The Garbage Collection page in the HCP System Management Console lets you set the length of time to keep deletion, purge, prune, and disposition records in the transaction log. Procedure In the top-level menu of the System Management Console, click Services \u003e Garbage Collection. The Garbage ..."},"335":{y:0,u:"../Content/Administering HCP/HCP services/Migration service.htm",l:-1,t:"Migration service",i:0.000876069435455554,a:"The Migration service migrates data off selected storage nodes in either an HCP RAIN or SAIN system or off selected storage arrays in an HCP SAIN system in preparation for retiring those devices.  During a data migration, the service copies objects and, if applicable, the metadata query engine index ..."},"336":{y:0,u:"../Content/Administering HCP/HCP services/Considerations for migrations on RAIN systems.htm",l:-1,t:"Considerations for migrations on RAIN systems",i:0.000416525636400818,a:"Using the Migration service to retire nodes in a RAIN system entails removing nodes from the system and, optionally, adding new nodes.  After any new nodes are added to the HCP system but before you begin the data migration, you need to: For each combination of domain and network configured in the ..."},"337":{y:0,u:"../Content/Administering HCP/HCP services/Target storage requirements for SAIN systems.htm",l:-1,t:"Target storage requirements for SAIN systems",i:0.000225147891110492,a:"The information in this section is intended for your SAN storage administrator.  It outlines storage requirements that, if not met, prevent a data migration from being started. Each node in an HCP SAIN system must have one OS LUN and at least two data LUNs.  If a LUN being migrated is the OS LUN for ..."},"338":{y:0,u:"../Content/Administering HCP/HCP services/Migration procedure.htm",l:-1,t:"Migration procedure",i:0.000225147891110492,a:"The complete procedure for retiring a device is: Take one of these actions: Optionally, for a RAIN system, submit a request to your authorized HCP service provider to add one or more storage nodes to the system.  After a data migration is finalized, the HCP system must still have at least four ..."},"339":{y:0,u:"../Content/Administering HCP/HCP services/Migration page.htm",l:-1,t:"Migration page",i:0.000225147891110492,a:"Migration page The Migration page in the HCP System Management Console lets you configure, monitor, and manage data migrations. To display the Migration page, in the top-level menu of the System Management Console, select Services \u003e Migration."},"340":{y:0,u:"../Content/Administering HCP/HCP services/Configuring a data migration.htm",l:-1,t:"Configuring a data migration",i:0.000225147891110492,a:"Configuring a data migration When configuring a data migration on a RAIN system, you select nodes to be retired.  When configuring a data migration on a SAIN system, you can either select nodes or storage arrays for retirement."},"341":{y:0,u:"../Content/Administering HCP/HCP services/Configuring a migration on a RAIN system.htm",l:-1,t:"Configuring a migration on a RAIN system",i:0.000225147891110492,a:"To configure a data migration on a RAIN system: On the left side of the Migration page, click Configuration. The Configuration panel displays step 1 (one) of the migration configuration (Choose items for migration).  The Select Hardware for Retirement section lists the storage nodes in the HCP ..."},"342":{y:0,u:"../Content/Administering HCP/HCP services/Configuring a migration on a SAIN system.htm",l:-1,t:"Configuring a migration on a SAIN system",i:0.000225147891110492,a:"To configure a data migration on a SAIN system: On the left side of the Migration page, click Configuration. The Configuration panel displays step 1 (one) of the migration configuration (Choose items for migration).  From this panel you can select to either retire storage arrays or hardware nodes.  ..."},"343":{y:0,u:"../Content/Administering HCP/HCP services/Monitoring a data migration.htm",l:-1,t:"Monitoring a data migration",i:0.000225147891110492,a:"Monitoring a data migration To monitor a data migration, you use the Overview pane on the Migration page.  This page shows information about the current data migration and the last completed or canceled data migration."},"344":{y:0,u:"../Content/Administering HCP/HCP services/Information about the current data migration.htm",l:-1,t:"Information about the current data migration",i:0.000225147891110492,a:"The top of the Overview pane displays  information about the current data migration and the Migration service. The current status of the Migration service: Not Migrating  — The Migration service is not running.  No migration is in progress. Starting Migration — The Migration service is preparing for ..."},"345":{y:0,u:"../Content/Administering HCP/HCP services/Information about the last data migration.htm",l:-1,t:"Information about the last data migration",i:0.000225147891110492,a:"The Migration History section in the Overview pane displays information about the last completed or canceled data migration. The time at which the data migration was completed or canceled. The total amount of time the Migration service took to perform the data migration.  This value does not include ..."},"346":{y:0,u:"../Content/Administering HCP/HCP services/Managing a data migration.htm",l:-1,t:"Managing a data migration",i:0.000225147891110492,a:"Managing a data migration While the Migration service is migrating data, you can use the Management panel on the Migration page to: Change the performance level of the Migration service Change the description of the data migration Pause or resume the data migration Cancel the data migration"},"347":{y:0,u:"../Content/Administering HCP/HCP services/Changing the performance level.htm",l:-1,t:"Changing the performance level",i:0.000225147891110492,a:"The performance level determines how much load the Migration service puts on the HCP system.  If the system load from other activities is heavy, you can lower the performance level for the Migration service to make more system resources available to those activities.  If the system load from other ..."},"348":{y:0,u:"../Content/Administering HCP/HCP services/Pausing or resuming a migration.htm",l:-1,t:"Pausing or resuming a migration",i:0.000225147891110492,a:"You can pause or resume the data migration at any time while the Migration service is copying objects.  You would do this, for example, if you need to make changes to HCP networking or during periods of heavy namespace activity.  While the migration is paused, the selected devices remain read-only. ..."},"349":{y:0,u:"../Content/Administering HCP/HCP services/Canceling a migration.htm",l:-1,t:"Canceling a migration",i:0.000225147891110492,a:"You can cancel the data migration at any time while the Migration service is copying objects or while the migration is paused.  When you do this, the Migration service stops and the selected devices become read-write.  Any data that was already migrated remains in its new location.  Additionally, ..."},"350":{y:0,u:"../Content/Administering HCP/HCP services/Protection service.htm",l:-1,t:"Protection service",i:0.0004563883459265,a:"The Protection service ensures the stability of the repository by maintaining a specified level of data redundancy, called the data protection level (DPL), for each object in the repository throughout the entire object lifecycle.  The DPL for an object is the number of copies of the object data that ..."},"351":{y:0,u:"../Content/Administering HCP/HCP services/Ingest tier data protection level.htm",l:-1,t:"Ingest tier data protection level",i:0.000257044181992213,a:"Each namespace has a service plan that defines one or more storage tiers for that namespace and specifies the data protection level (DPL) that’s applied to the objects that are stored on each tier. Every service plan defines primary running storage or S Series storage as the initial storage tier, ..."},"352":{y:0,u:"../Content/Administering HCP/HCP services/Protection service processing.htm",l:-1,t:"Protection service processing",i:0.000225147891110492,a:"The Protection service has two main functions:  detecting protection violations and repairing those violations. Detecting protection violationsTo detect protection violations, the Protection service checks that for each  object in a given namespace, at any given point in the object lifecycle: The ..."},"353":{y:0,u:"../Content/Administering HCP/HCP services/Protection service triggers.htm",l:-1,t:"Protection service triggers",i:0.000225147891110492,a:"In addition to running according to the service schedule, the Protection service runs in response to certain events.  In these cases, the service does a full run (that is, it examines every object in the repository regardless of the schedule and regardless of whether the object data is stored on ..."},"354":{y:0,u:"../Content/Administering HCP/HCP services/c_SSeriesBalancingSvc.htm",l:-1,t:"S Series Balancing service",i:0.000438653817188426,a:"The S Series Balancing service is a configurable service that balances object data across S Series Nodes  in the same storage pool. The service  ensures that the percent of space used across S Series Nodes  in a pool remains roughly equivalent. The service is particularly useful when one or more S ..."},"355":{y:0,u:"../Content/Administering HCP/HCP services/c_SSBalSvcProcessing.htm",l:-1,t:"S Series Balancing service processing",i:0.000225147891110492,a:"The S Series Balancing service detects and repairs imbalances in storage availability across S Series Nodes  in the same storage pool  by comparing storage usage statistics.  If the   service determines that storage usage is imbalanced across S Series Nodes in the same pool: The service determines ..."},"356":{y:0,u:"../Content/Administering HCP/HCP services/c_SSBalSvcBestPractices.htm",l:-1,t:"Best practices in configuring S Series Balancing",i:0.000225147891110492,a:"The S Series Balancing service balances object data across S Series Nodes  in the same storage pool to spread the storage load.  When the S Series Balancing service runs, balancing is initiated if S Series Nodes in the same storage pool have a percent-used disparity  greater than 10%. Balancing is ..."},"357":{y:0,u:"../Content/Administering HCP/HCP services/c_SSBalSvcStatusMetricsMonitor.htm",l:-1,t:"S Series Balancing service monitoring",i:0.000225147891110492,a:"The HCP System Management Console provides several ways to monitor various aspects of S Series Balancing service processing. The System Events page in the Console displays S Series Balancing service event status and metrics about each  event. Metrics include the number of objects examined, the ..."},"358":{y:0,u:"../Content/Administering HCP/HCP services/Scavenging service.htm",l:-1,t:"Scavenging service",i:0.000258373194112285,a:"The Scavenging service ensures that objects in the repository have valid metadata.  When the service runs, it verifies that both the primary metadata for each object and the secondary metadata are complete, valid, and in sync with each other. For the purpose of scavenging, HCP treats these as ..."},"359":{y:0,u:"../Content/Administering HCP/HCP services/Shredding service.htm",l:-1,t:"Shredding service",i:0.000545006053074877,a:"Shredding, also called secure deletion, is the process of  overwriting the places where all the copies of the data, secondary metadata, and custom metadata for an object were stored in such a way that the object cannot be reconstructed.  The Shredding service shreds deleted objects that are marked ..."},"360":{y:0,u:"../Content/Administering HCP/HCP services/Shredding service processing.htm",l:-1,t:"Shredding service processing",i:0.000225147891110492,a:"By default, the Shredding service uses three passes to overwrite the areas where the object data, secondary metadata, and custom metadata were stored.  The three passes are applied to the entire object, repeating for each 128-KB block.  Each pass has this pattern: Set to a specified value (write the ..."},"361":{y:0,u:"../Content/Administering HCP/HCP services/Sending shredding messages to syslog servers.htm",l:-1,t:"Sending shredding messages to syslog servers",i:0.000225147891110492,a:"HCP gives you the option of sending a log message for each shredded object or part to the syslog servers specified in the syslog logging configuration.  This option takes effect only while syslog logging is enabled and the syslog logging level is set to Notice.  The log message for a shredded object ..."},"362":{y:0,u:"../Content/Administering HCP/HCP services/Understanding shredding statistics.htm",l:-1,t:"Understanding shredding statistics",i:0.000225147891110492,a:"The Shredding page in the HCP System Management Console lets you monitor the amount of data waiting to be shredded.  It also lets you control various aspects of shredding activity. To display the Shredding page, in the top-level menu of the System Management Console, select Services ► Shredding. The ..."},"363":{y:0,u:"../Content/Administering HCP/HCP services/Changing shredding settings.htm",l:-1,t:"Changing shredding settings",i:0.000416525636400818,a:"Depending on the system load, the HCP system can develop a backlog of objects and parts to be shredded.  If the system load from other activities is light, you can increase the rate at which shredding occurs.  If the load is heavy, you can lower the shredding rate. To change the settings for the ..."},"364":{y:0,u:"../Content/Administering HCP/HCP services/Duplicate elimination and shredding.htm",l:-1,t:"Duplicate elimination and shredding",i:0.000225147891110492,a:"Objects merged by the Duplicate Elimination service do not necessarily have the same shred settings.   When merged objects with different shred settings are deleted: If the last object deleted is not marked for shredding, the merged data is not shredded. If the last object deleted is marked for ..."},"365":{y:0,u:"../Content/Administering HCP/HCP services/EcAndShredding.htm",l:-1,t:"Erasure coding and shredding",i:0.000225147891110492,a:"For an object that\u0027s subject to both erasure coding and shredding: Each time a full copy of the data for the object is reduced to a chunk, the full copy must be shredded Each time a chunk for the object is restored to a full copy of the object data, the chunk must be shredded As a result, shredding ..."},"366":{y:0,u:"../Content/Administering HCP/HCP services/Shredding service trigger.htm",l:-1,t:"Shredding service trigger",i:0.000225147891110492,a:"Shredding service trigger The Shredding service is event driven only, not scheduled.  It is triggered by the deletion of an object that’s marked for shredding.  The delete operation can be invoked by a user or application or by the Garbage Collection service."},"367":{y:0,u:"../Content/Administering HCP/HCP services/Storage tiering service.htm",l:-1,t:"Storage Tiering service",i:0.000371073421894366,a:"Each namespace has a service plan that defines both a storage tiering strategy and a data protection strategy for the objects in that namespace.  At any given point in the lifecycle of an object, its storage tiering strategy specifies the types of storage on which copies of that object must be ..."},"368":{y:0,u:"../Content/Administering HCP/HCP services/Moving copies of object among storage tiers.htm",l:-1,t:"Moving copies of objects among storage tiers",i:0.000225147891110492,a:"One of the functions of the Storage Tiering service is to move copies of objects in a namespace among storage tiers that are defined for that namespace by its service plan. The tier on which HCP initially stores every object in the namespace is called the ingest tier. The ingest tier must be either ..."},"369":{y:0,u:"../Content/Administering HCP/HCP services/Maintaining the correct number of object copies on each tier.htm",l:-1,t:"Maintaining the correct number of object copies on each tier",i:0.000225147891110492,a:"Another function of the Storage Tiering service is to maintain the correct number of copies of each object in a namespace on each storage tier that’s defined for that namespace by its service plan. If the number of object copies on a storage tier is less than the number of object copies specified ..."},"370":{y:0,u:"../Content/Administering HCP/HCP services/Making objects metadata-only.htm",l:-1,t:"Making objects metadata-only",i:0.000225147891110492,a:"The third function of the Storage Tiering service is to delete all existing copies of the data for any object that’s moved to a metadata-only storage tier and ensure that the correct number of copies of the metadata for that object are stored on primary running storage. The Storage Tiering service ..."},"371":{y:0,u:"../Content/Administering HCP/HCP services/Storage tiering service processing.htm",l:-1,t:"Storage Tiering service processing",i:0.000225147891110492,a:"The Storage Tiering service processes one object at a time.  For each object, the service checks the applicable service plan to determine the storage tiers on which copies of the object data should be stored, the number of copies of the object data that should be stored on each tier, and the number ..."},"372":{y:0,u:"../Content/Administering HCP/HCP services/Understanding storage tiering statistics.htm",l:-1,t:"Understanding storage tiering statistics",i:0.000225147891110492,a:"The Storage page in the HCP System Management Console displays graphs and statistics that provide information about the use of primary running storage, primary spindown storage, and each type of extended storage that’s used to store objects in a repository.  The Storage page also provides ..."},"373":{y:0,u:"../Content/Administering HCP/System security/System security.htm",l:-1,t:"System security",i:0.000225147891110492,a:"Through the HCP System Management Console, you can set various options that affect HCP system security.   In addition to creating and managing user and group accounts and login settings, you can: Specify whether HCP nodes should respond to ping requests Allow or disallow SSH access to HCP nodes ..."},"374":{y:0,u:"../Content/Administering HCP/System security/Setting network security.htm",l:-1,t:"Setting network security",i:0.000519049428520635,a:"The Network Security page in the HCP System Management Console lets you allow or prevent these services on HCP nodes: Ping — When you enable this service, you can use ping to check network connectivity to HCP nodes. SSH login by authorized service and support representatives — Enabling SSH ..."},"375":{y:0,u:"../Content/Administering HCP/System security/Managing domains and SSL server certificates.htm",l:-1,t:"Managing domains and SSL server certificates",i:0.00104292582219794,a:"Managing domains and SSL server certificates You can create multiple domains in HCP and associate one or more SSL server certificates with each domain.  HCP uses these domains and certificates to facilitate and secure communications over its built-in and user-defined networks."},"376":{y:0,u:"../Content/Administering HCP/System security/About domains.htm",l:-1,t:"About domains",i:0.000768662567852177,a:"A domain is a group of computers or devices that are administered as a unit.  In terms of HCP, a domain consists of nodes in a single HCP system. Domains are associated with networks.  Clients that communicate with HCP over a given network can use the name of the domain associated with that network ..."},"377":{y:0,u:"../Content/Administering HCP/System security/Domain names.htm",l:-1,t:"Domain names",i:0.000391565139682919,a:"Every domain has a name.  A domain name can contain only letters, numbers, and hyphens (-).  It must consist of at least three segments, separated by periods (.).  Each segment must be one through 63 characters long.  The entire domain name, including the periods between segments, must be less than ..."},"378":{y:0,u:"../Content/Administering HCP/System security/Domains and DNS.htm",l:-1,t:"Domains and DNS",i:0.000225147891110492,a:"Typically, domains are defined in a DNS.  For each domain, the DNS lists all node IP addresses assigned to each network with which the domain is associated. With DNS, you can manage domains in a single set of corporate DNS servers.  Alternatively, you can set up separate DNS servers for different ..."},"379":{y:0,u:"../Content/Administering HCP/System security/About SSL server certificates.htm",l:-1,t:"About SSL server certificates",i:0.000225147891110492,a:"Each domain in HCP must have at least one SSL server certificate or certificate signing request (CSR).  SSL server certificates are used to verify to clients that the HCP system is the system it claims to be and to set up secure communications between the system and those clients. HCP uses SSL to ..."},});