define({"855":{y:0,u:"../Content/Using a Namespace/HTTP usage considerations/Multithreading with HTTP.htm",l:-1,t:"Multithreading with REST",i:0.000319400161653284,a:"HCP lets multiple threads access a namespace simultaneously.  Using multiple threads can enhance performance, especially when accessing many small objects across multiple directories.  For more information about multithreading, see  Multithreading . HCP has a limit of 255 concurrent REST connections ..."},"856":{y:0,u:"../Content/Using a Namespace/HTTP usage considerations/HTTP 500 and 503 return code considerations.htm",l:-1,t:"HTTP 500 and 503 return code considerations",i:0.000319400161653284,a:"HTTP 500 and 503 return code considerations When HCP returns an HTTP 500 (Internal Server Error) or 503 (Service Unavailable) error code, applications should try the request again.  If necessary, retry the request multiple times with a gradually increasing delay between each attempt."},"857":{y:0,u:"../Content/Using a Namespace/Parts/WebDAV.htm",l:-1,t:"WebDAV",i:0.000383879949729788,a:"WebDAV This section of the Help contains information on using the WebDAV namespace access protocol: Using WebDAV WebDAV usage considerations"},"858":{y:0,u:"../Content/Using a Namespace/Using WebDAV/Using WebDAV.htm",l:-1,t:"Using WebDAV",i:0.000482550855591359,a:"WebDAV is one of the industry-standard protocols HCP supports for namespace access. To access a namespace through WebDAV, you can write applications that use any standard WebDAV client library, or you can use a command-line tool, such as cadaver, which supports WebDAV. Using the WebDAV protocol, you ..."},"859":{y:0,u:"../Content/Using a Namespace/Using WebDAV/WebDAV methods.htm",l:-1,t:"WebDAV methods",i:0.000319400161653284,a:"WebDAV methods HCP supports most standard WebDAV methods, as indicated in the table below."},"860":{y:0,u:"../Content/Using a Namespace/Using WebDAV/URLs for WebDAV access to a namespace.htm",l:-1,t:"URLs for WebDAV access to a namespace",i:0.000455146598327516,a:"URLs for WebDAV access to a namespace Depending on the method you’re using and what you want to do, the URL you specify can identify any of: The namespace as a whole A directory An object A symbolic link A metadirectory A metafile for an object"},"861":{y:0,u:"../Content/Using a Namespace/Using WebDAV/URL formats.htm",l:-1,t:"URL formats",i:0.000512839525882798,a:"The following sections show the URL formats you can use to access a namespace.  These formats all use a domain name to identify the HCP system.  If the HCP system does not support DNS, you can use the client hosts file to enable access to a namespace by hostname.  For information about configuring ..."},"862":{y:0,u:"../Content/Using a Namespace/Using WebDAV/URL considerations.htm",l:-1,t:"URL considerations",i:0.00072663947167598,a:"The following considerations apply to specifying URLs in WebDAV requests against a namespace.  For considerations that apply specifically to naming new objects, see  Object naming considerations . URL length The portion of a URL after data or metadata, excluding any appended query parameters, is ..."},"863":{y:0,u:"../Content/Using a Namespace/Using WebDAV/WebDAV properties.htm",l:-1,t:"WebDAV properties",i:0.000319400161653284,a:"WebDAV properties are name/value pairs that provide information about items in a namespace.  To store and retrieve property values, you use the PROPPATCH and PROPFIND methods, respectively. Properties exist in XML namespaces.  To fully identify a property, you need to specify the namespace it’s in ..."},"864":{y:0,u:"../Content/Using a Namespace/Using WebDAV/Live and dead properties.htm",l:-1,t:"Live and dead properties",i:0.000319400161653284,a:"Properties can be live or dead.  Live properties are properties that are known to the WebDAV server (in this case, HCP).  The server can respond to changes you make to these properties and can also dynamically modify their values. Dead properties are properties that are not known to the WebDAV ..."},"865":{y:0,u:"../Content/Using a Namespace/Using WebDAV/HCP-specific metadata properties for WebDAV.htm",l:-1,t:"HCP-specific metadata properties for WebDAV",i:0.0011396336231222,a:"HCP recognizes all the live properties defined in the DAV: namespace.  Additionally, it provides its own XML namespace with live properties that allow you to store and retrieve HCP system metadata.  This namespace is specified as: http://www.hitachivantara.com/hcap/webdav/ As with the standard ..."},"866":{y:0,u:"../Content/Using a Namespace/Using WebDAV/Storing dead properties as custom metadata.htm",l:-1,t:"Storing dead properties as custom metadata",i:0.00169531695904025,a:"HCP can be configured to store WebDAV dead properties as custom metadata for an object.  When HCP is configured this way, you use the PROPPATCH and PROPFIND methods to store and retrieve dead properties just as you do for live properties. This is the only way HCP can store dead properties.  If a ..."},"867":{y:0,u:"../Content/Using a Namespace/Using WebDAV/WebDAV return codes.htm",l:-1,t:"WebDAV return codes",i:0.0003872733799904,a:"WebDAV return codes The table below describes the possible return codes for WebDAV requests against namespaces."},"868":{y:0,u:"../Content/Using a Namespace/Using WebDAV/WebDAV examples.htm",l:-1,t:"WebDAV examples",i:0.000319400161653284,a:"WebDAV examples The following sections show examples of using WebDAV to access the data directory in a namespace named finance in a tenant named europe.  These examples use cadaver."},"869":{y:0,u:"../Content/Using a Namespace/Using WebDAV/Storing an object WebDAV example.htm",l:-1,t:"Example 1: Storing an object (WebDAV)",i:0.000319400161653284,a:"Here’s a sample WebDAV PUT request that stores a new object named  Q1_2012.ppt in the presentations directory. Request with cadaver command line put Q1_2012.ppt presentations/Q1_2012.ppt Request headers PUT /webdav/data/presentations/Q1_2012.ppt HTTP/1.1 Host: finance.europe.hcp.example.com ..."},"870":{y:0,u:"../Content/Using a Namespace/Using WebDAV/Retrieving the index setting for an object WebDAV example.htm",l:-1,t:"Example 2: Retrieving the index setting for an object (WebDAV)",i:0.000319400161653284,a:"Here’s a sample WebDAV PROPFIND request that returns the index setting for the object named wind.jpg in the presentations/images directory. Request with cadaver command line propget presentations/images/wind.jpg index Request XML body \u003c?xml version=\"1.0\" encoding=\"utf-8\" ?\u003e \u003cns0:propfind ..."},"871":{y:0,u:"../Content/Using a Namespace/Using WebDAV/Changing the retention setting for an object WebDAV example.htm",l:-1,t:"Example 3: Changing the retention setting for an object (WebDAV)",i:0.000319400161653284,a:"Here’s a sample WebDAV PROPPATCH request that changes the retention setting for the object named wind.jpg in the presentations/images directory. Request with cadaver command line propset presentations/images/wind.jpg retention-string 2015-09-30T17:00:00-0400 Request XML body \u003c?xml version=\"1.0\" ..."},"872":{y:0,u:"../Content/Using a Namespace/Using WebDAV/Storing a dead property as custom metadata WebDAV example.htm",l:-1,t:"Example 4: Storing a dead property as custom metadata (WebDAV)",i:0.00103992191197906,a:"Here’s a sample WebDAV PROPPATCH request that sets the presentedBy property for the object named Q1_2012.ppt in the presentations directory. Request with cadaver command line propset presentations/Q1_2012.ppt presentedBy Lee.Green Request XML body \u003c?xml version=\"1.0\" encoding=\"utf-8\" ?\u003e ..."},"873":{y:0,u:"../Content/Using a Namespace/WebDAV usage considerations/WebDAV usage considerations.htm",l:-1,t:"WebDAV usage considerations",i:0.000482550855591359,a:"WebDAV usage considerations This chapter contains usage considerations that affect namespace access with WebDAV.  For additional considerations that are not specific to the WebDAV protocol, see  General usage considerations ."},"874":{y:0,u:"../Content/Using a Namespace/WebDAV usage considerations/Basic authentication with WebDAV.htm",l:-1,t:"Basic authentication with WebDAV",i:0.000383879949729788,a:"A namespace can be configured to require basic authentication for WebDAV access.  If basic authentication is enabled, you’re prompted for a username and password when you access the namespace through WebDAV.  For the username and password to use, contact your tenant administrator. Even when basic ..."},"875":{y:0,u:"../Content/Using a Namespace/WebDAV usage considerations/WebDAV object locking.htm",l:-1,t:"WebDAV object locking",i:0.000319400161653284,a:"WebDAV object locking To accommodate WebDAV clients that require locking functionality, HCP supports the LOCK and UNLOCK methods.  However, a LOCK request locks the specified object only on the target node.  As a result, locking an object does not prevent other nodes from modifying it."},"876":{y:0,u:"../Content/Using a Namespace/WebDAV usage considerations/Using WebDAV with objects open for write.htm",l:-1,t:"Using WebDAV with objects open for write",i:0.000319400161653284,a:"These considerations apply to using WebDAV to access objects that are open for write: If you try to write to the object, HCP returns an HTTP 409 (Conflict) error.  If try to retrieve, delete, or check the existence of an object that’s open for write, HCP returns an HTTP 404 (Not Found) error code ..."},"877":{y:0,u:"../Content/Using a Namespace/WebDAV usage considerations/Failed WebDAV write operations.htm",l:-1,t:"Failed WebDAV write operations",i:0.000319400161653284,a:"A WebDAV write operation is considered to have failed if either of these is true: The target node failed while the object was open for write. The TCP connection broke (for example, due to a front-end network failure or the abnormal termination of the client application) while the object was open for ..."},"878":{y:0,u:"../Content/Using a Namespace/WebDAV usage considerations/Storing zero-sized files with WebDAV.htm",l:-1,t:"Storing zero-sized files with WebDAV",i:0.000319400161653284,a:"Storing zero-sized files with WebDAV When you store a zero-sized file with WebDAV, the resulting object has no data.  Because WebDAV causes a flush and a close even when no data is present, this object is WORM and is treated like any other object in the namespace."},"879":{y:0,u:"../Content/Using a Namespace/WebDAV usage considerations/WebDAV client timeouts with long-running requests.htm",l:-1,t:"WebDAV client timeouts with long-running requests",i:0.000319400161653284,a:"Some WebDAV operations, such as a GET request on a very large directory, can take a long time to complete. During such an operation, HCP does not communicate back to the client.  As a result, the connection may time out on the client. If an operation may take a long time, you should adjust the ..."},"880":{y:0,u:"../Content/Using a Namespace/WebDAV usage considerations/Persistent connections with WebDAV.htm",l:-1,t:"Persistent connections with WebDAV",i:0.000319400161653284,a:"HCP supports persistent connections with WebDAV.  Following a request for an operation, HCP keeps the connection open for 60 seconds, so a subsequent request can use the same connection. Persistent connections enhance performance because they avoid the overhead of opening and closing multiple ..."},"881":{y:0,u:"../Content/Using a Namespace/WebDAV usage considerations/Multithreading with WebDAV.htm",l:-1,t:"Multithreading with WebDAV",i:0.000319400161653284,a:"HCP lets multiple threads access a namespace simultaneously.  Using multiple threads can enhance performance, especially when accessing many small objects across multiple directories.  For more information about multithreading, see  Multithreading . HCP has a limit of 255 concurrent WebDAV ..."},"882":{y:0,u:"../Content/Using a Namespace/Parts/CIFS.htm",l:-1,t:"CIFS",i:0.000383879949729788,a:"CIFS This section of the Help contains information on using the CIFS namespace access protocol: Using CIFS CIFS usage considerations"},"883":{y:0,u:"../Content/Using a Namespace/Using CIFS/Using CIFS.htm",l:-1,t:"Using CIFS",i:0.000482550855591359,a:"CIFS is one of the industry-standard protocols HCP supports for namespace access.  To access a namespace through CIFS, you can write applications that use any standard CIFS client library, or you can use the Windows GUI or a Command Prompt window to access the namespace directly. Using the CIFS ..."},"884":{y:0,u:"../Content/Using a Namespace/Using CIFS/Namespace access with CIFS.htm",l:-1,t:"Namespace access with CIFS",i:0.000512839525882798,a:"You access a namespace through CIFS by mapping the namespace to a network drive or by adding the namespace as a network place on a CIFS client.  You can map or add the namespace as a whole, either root directory (data or metadata), or any specific data directory or metadirectory.  Additionally, you ..."},"885":{y:0,u:"../Content/Using a Namespace/Using CIFS/CIFS examples.htm",l:-1,t:"CIFS examples",i:0.000319400161653284,a:"The following sections show examples of using CIFS to access a namespace.  Each example shows both a Windows command and Python code that implements the same command. These examples assume that the data directory is mapped to the X: drive and the metadata metadirectory is mapped to the Y: drive."},"886":{y:0,u:"../Content/Using a Namespace/Using CIFS/Storing an object CIFS example.htm",l:-1,t:"Example 1: Storing an object (CIFS)",i:0.000319400161653284,a:"Example 1: Storing an object (CIFS) This example stores an object named wind.jpg in the existing images directory by copying a file of the same name from the local file system. Windows command copy  wind.jpg  x:\\images Python code import shutil shutil.copy(\"wind.jpg\", \"x:\\\\images\\\\wind.jpg\")"},"887":{y:0,u:"../Content/Using a Namespace/Using CIFS/Changing a retention setting CIFS example.htm",l:-1,t:"Example 2: Changing a retention setting (CIFS)",i:0.000319400161653284,a:"This example extends the retention period for the wind.jpg object by one year.  If this object is still open due to lazy close, changing the retention setting closes it.  For information about lazy close, see  CIFS lazy close . Windows command echo  +1y  \u003e  y:\\images\\wind.jpg\\retention.txt Python ..."},"888":{y:0,u:"../Content/Using a Namespace/Using CIFS/Retrieving an object CIFS example.htm",l:-1,t:"Example 3: Retrieving an object (CIFS)",i:0.000319400161653284,a:"This example retrieves the object named wind.jpg from the namespace and stores the resulting file with the same name in the existing RetrievedFiles directory. Windows command copy  x:\\images\\wind.jpg  RetrievedFiles Python code import shutil shutil.copy(\"x:\\\\images\\\\wind.jpg\", ..."},"889":{y:0,u:"../Content/Using a Namespace/Using CIFS/CIFS return codes.htm",l:-1,t:"CIFS return codes",i:0.0003872733799904,a:"CIFS return codes The table below describes the possible return codes for CIFS requests against a namespace."},"890":{y:0,u:"../Content/Using a Namespace/CIFS usage considerations/CIFS usage considerations.htm",l:-1,t:"CIFS usage considerations",i:0.000482550855591359,a:"CIFS usage considerations This chapter presents considerations that affect the use of the CIFS protocol for namespace access. For additional considerations that are not specific to the CIFS protocol, see  General usage considerations ."},"891":{y:0,u:"../Content/Using a Namespace/CIFS usage considerations/CIFS case sensitivity.htm",l:-1,t:"CIFS case sensitivity",i:0.000775344446410838,a:"The Windows operating system is case preserving but not case sensitive.  The HCP CIFS implementation, by default, is both case preserving and case sensitive.  One result of this discrepancy is that Windows applications that don’t observe differences in case may not be able to access objects by name. ..."},"892":{y:0,u:"../Content/Using a Namespace/CIFS usage considerations/CIFS permission translations.htm",l:-1,t:"CIFS permission translations",i:0.000590893035001748,a:"CIFS permission translations When you view an object on a Windows client, CIFS translates the POSIX permission settings used in the namespace into settings Windows understands.  The table below shows how CIFS maps POSIX permissions to Windows permissions."},"893":{y:0,u:"../Content/Using a Namespace/CIFS usage considerations/Creating an empty directory with atime synchronization in effect.htm",l:-1,t:"Creating an empty directory with atime synchronization in effect",i:0.000319400161653284,a:"When you use Windows Explorer to create a new directory, Windows automatically names it New Folder.  This is also true for directories you create in a namespace. Normally, you can rename an empty directory in a namespace.  However, if atime synchronization is in effect, you cannot do this.  As a ..."},"894":{y:0,u:"../Content/Using a Namespace/CIFS usage considerations/CIFS lazy close.htm",l:-1,t:"CIFS lazy close",i:0.00072663947167598,a:"When writing a file to a namespace, CIFS can cause a flush at any time.  After each flush or write, HCP waits a short amount of time for the next one.  If no write occurs within that time, HCP considers the resulting object to be complete and closes it.  This event is called lazy close. If you set ..."},"895":{y:0,u:"../Content/Using a Namespace/CIFS usage considerations/Using CIFS with objects open for write.htm",l:-1,t:"Using CIFS with objects open for write",i:0.000319400161653284,a:"These considerations apply to objects that are open for write through any protocol: While an object is open for write through one IP address, you cannot open it for write through any other IP address. You can read an object that is open for write from any IP address, even though the object data may ..."},"896":{y:0,u:"../Content/Using a Namespace/CIFS usage considerations/Failed CIFS write operations.htm",l:-1,t:"Failed CIFS write operations",i:0.000319400161653284,a:"A CIFS write operation is considered to have failed if the target node failed while the object was open for write.  Also, in some circumstances, a write operation is considered to have failed if another node or other hardware failed while the object was open for write. A CIFS write operation is not ..."},"897":{y:0,u:"../Content/Using a Namespace/CIFS usage considerations/Storing zero-sized files with CIFS.htm",l:-1,t:"Storing zero-sized files with CIFS",i:0.000319400161653284,a:"Storing zero-sized files with CIFS When you store a zero-sized file with CIFS, the resulting object has no data.  After lazy close occurs, the object becomes WORM and is treated like any other object in the namespace."},"898":{y:0,u:"../Content/Using a Namespace/CIFS usage considerations/Out-of-order writes with CIFS.htm",l:-1,t:"Out-of-order writes with CIFS",i:0.000319400161653284,a:"CIFS can write the data for an object out of order.  If HCP receives an out-of-order write for a large file (200,000 bytes or larger), it discards the cryptographic hash value it already calculated.  The object then has no hash value until one of these occurs: HCP returns to the object at a later ..."},"899":{y:0,u:"../Content/Using a Namespace/CIFS usage considerations/Temporary files created by Windows clients.htm",l:-1,t:"Temporary files created by Windows clients",i:0.000319400161653284,a:"During certain operations, Windows clients may create temporary files.  In a namespace, these files correspond to successfully created objects. As with any other new object stored through the CIFS protocol, the retention period for such an object is determined by the namespace configuration.  If the ..."},"900":{y:0,u:"../Content/Using a Namespace/CIFS usage considerations/Multithreading with CIFS.htm",l:-1,t:"Multithreading with CIFS",i:0.000319400161653284,a:"HCP lets multiple threads access a namespace simultaneously.  Using multiple threads can enhance performance, especially when accessing many small objects across multiple directories.  For more information about multithreading, see  Multithreading . With CIFS, multiple concurrent threads can write ..."},"901":{y:0,u:"../Content/Using a Namespace/Parts/NFS.htm",l:-1,t:"NFS",i:0.000383879949729788,a:"NFS This section of the Help contains information on using the NFS namespace access protocol: Using NFS NFS usage considerations"},"902":{y:0,u:"../Content/Using a Namespace/Using NFS/Using NFS.htm",l:-1,t:"Using NFS",i:0.000482550855591359,a:"NFS is one of the industry-standard protocols HCP supports for namespace access.  To access a namespace through NFS, you can write applications that use any standard NFS client library, or you can use the command line in an NFS client to access the namespace directly. Using the NFS protocol, you can ..."},"903":{y:0,u:"../Content/Using a Namespace/Using NFS/Namespace access with NFS.htm",l:-1,t:"Namespace access with NFS",i:0.000319400161653284,a:"You access the namespace through NFS by mounting a namespace directory on an NFS client.  You can mount the namespace as a whole, either root directory (data or metadata), or any specific data directory or metadirectory.  Additionally, you can have multiple directories mounted at the same time. Once ..."},"904":{y:0,u:"../Content/Using a Namespace/Using NFS/NFS examples.htm",l:-1,t:"NFS examples",i:0.000319400161653284,a:"The following sections show examples of using NFS to access a namespace.  Each example shows both a Unix command and Python code that implements the same command. These examples assume that the data directory is mounted at datamount and the metadata metadirectory is mounted at metadatamount."},"905":{y:0,u:"../Content/Using a Namespace/Using NFS/Storing an object NFS example.htm",l:-1,t:"Example 1: Storing an object (NFS)",i:0.000319400161653284,a:"This example stores an object named wind.jpg in the existing images directory by copying a file of the same name from the local file system. Unix command cp  wind.jpg  /datamount/images/wind.jpg Python code import shutil shutil.copy(\"wind.jpg\", \"/datamount/images/wind.jpg\")"},"906":{y:0,u:"../Content/Using a Namespace/Using NFS/Changing a retention setting example.htm",l:-1,t:"Example 2: Changing a retention setting (NFS)",i:0.000319400161653284,a:"This example extends the retention period for the wind.jpg object by one year.  If this object is still open due to lazy close, changing the retention setting closes it.  For information about lazy close, see  NFS lazy close . Unix command echo  +1y  \u003e  /metadatamount/images/wind.jpg/retention.txt ..."},"907":{y:0,u:"../Content/Using a Namespace/Using NFS/Using atime to set retention NFS example.htm",l:-1,t:"Example 3: Using atime to set retention (NFS)",i:0.000319400161653284,a:"This example changes the value of the POSIX atime attribute for the wind.jpg object. If the namespace is configured to synchronize atime values with retention settings and the object has a retention setting that specifies a date or time in the future, this also changes the retention setting for the ..."},"908":{y:0,u:"../Content/Using a Namespace/Using NFS/Creating a symbolic link NFS example.htm",l:-1,t:"Example 4: Creating a symbolic link (NFS)",i:0.000319400161653284,a:"This example creates a symbolic link named big_dipper that references an object named ursa_major.jpg. Unix command ln  -s  /datamount/images/constellations/ursa_major.jpg \t/datamount/constellations/common_names/big_dipper Python code import os ..."},"909":{y:0,u:"../Content/Using a Namespace/Using NFS/Retrieving an object NFS example.htm",l:-1,t:"Example 5: Retrieving an object (NFS)",i:0.000319400161653284,a:"This example retrieves the object named wind.jpg from a namespace and stores the resulting file in the retrieved_files directory. Unix command cp  /datamount/images/wind.jpg  retrieved_files/wind.jpg Python code import shutil shutil.copy(\"/datamount/images/wind.jpg\", \"retrieved_files/ \\ \twind.jpg\")"},"910":{y:0,u:"../Content/Using a Namespace/Using NFS/NFS return codes.htm",l:-1,t:"NFS return codes",i:0.0003872733799904,a:"NFS return codes The table below describes the possible return codes for NFS requests against a namespace."},"911":{y:0,u:"../Content/Using a Namespace/NFS usage considerations/NFS usage considerations.htm",l:-1,t:"NFS usage considerations",i:0.000482550855591359,a:"NFS usage considerations This chapter presents considerations that affect the use of the NFS protocol for namespace access. For additional considerations that are not specific to the NFS protocol, see  General usage considerations ."},"912":{y:0,u:"../Content/Using a Namespace/NFS usage considerations/NFS lazy close.htm",l:-1,t:"NFS lazy close",i:0.00072663947167598,a:"When writing a file to the namespace, NFS can cause a flush at any time and never issue a close.  After each flush or write, HCP waits a short amount of time for the next one.  If no write occurs within that time, HCP considers the resulting object to be complete and automatically closes it.  This ..."},"913":{y:0,u:"../Content/Using a Namespace/NFS usage considerations/Using NFS with objects open for write.htm",l:-1,t:"Using NFS with objects open for write",i:0.000319400161653284,a:"These considerations apply to objects that are open for write through any protocol: While an object is open for write through one IP address, you cannot open it for write through any other IP address. You can read an object that is open for write from any IP address, even though the object data may ..."},"914":{y:0,u:"../Content/Using a Namespace/NFS usage considerations/Failed NFS write operations.htm",l:-1,t:"Failed NFS write operations",i:0.000319400161653284,a:"An NFS write operation is considered to have failed if the target node failed while the object was open for write.  Also, in some circumstances, a write operation is considered to have failed if another node or other hardware failed while the object was open for write. An NFS write operation is not ..."},"915":{y:0,u:"../Content/Using a Namespace/NFS usage considerations/Storing zero-sized files with NFS.htm",l:-1,t:"Storing zero-sized files with NFS",i:0.000319400161653284,a:"Storing zero-sized files with NFS When you store a zero-sized file with NFS, the resulting object has no data.  After lazy close occurs, the object becomes WORM and is treated like any other object in the namespace."},"916":{y:0,u:"../Content/Using a Namespace/NFS usage considerations/Out-of-order writes with NFS.htm",l:-1,t:"Out-of-order writes with NFS",i:0.000319400161653284,a:"NFS can write the data for an object out of order.  If HCP receives an out-of-order write for a large file (200,000 bytes or larger), it discards the cryptographic hash value it already calculated.  The object then has no hash value until either of these occurs: HCP returns to the object at a later ..."},"917":{y:0,u:"../Content/Using a Namespace/NFS usage considerations/NFS reads of large objects.htm",l:-1,t:"NFS reads of large objects",i:0.000319400161653284,a:"NFS reads of large objects While HCP is reading very large objects (thousands of megabytes or more) through NFS, system performance decreases."},"918":{y:0,u:"../Content/Using a Namespace/NFS usage considerations/Walking large directory trees.htm",l:-1,t:"Walking large directory trees",i:0.000319400161653284,a:"HCP occasionally reuses inode numbers.  Normally, this has no impact.  However, it can affect programs that walk the directory tree, like the Unix du command.  If you run such a program against a very large directory tree, it may not go down certain subdirectory paths. One way to prevent this ..."},"919":{y:0,u:"../Content/Using a Namespace/NFS usage considerations/NFS delete operations.htm",l:-1,t:"NFS delete operations",i:0.000319400161653284,a:"NFS delete operations While an object is open for write through NFS on a given node, it cannot be deleted through NFS on other nodes."},"920":{y:0,u:"../Content/Using a Namespace/NFS usage considerations/NFS mounts on a failed node.htm",l:-1,t:"NFS mounts on a failed node",i:0.000319400161653284,a:"If an HCP node fails, NFS mounts that target the failed node lose their connections to the namespace.  To recover from a node failure, unmount the namespace at the current mount point.  Then take one of these actions: Mount the namespace on a different node.  You can do this by specifying either the ..."},"921":{y:0,u:"../Content/Using a Namespace/NFS usage considerations/Multithreading with NFS.htm",l:-1,t:"Multithreading with NFS",i:0.000319400161653284,a:"HCP lets multiple threads access a namespace simultaneously.  Using multiple threads can enhance performance, especially when accessing many small objects across multiple directories.  For more information about multithreading, see  Multithreading . With NFS, multiple concurrent threads can write to ..."},"922":{y:0,u:"../Content/Using a Namespace/Parts/Namespace Browser.htm",l:-1,t:"Namespace Browser",i:0.000590893035001748,a:"Namespace Browser This section of the Help contains information on using the HCP Namespace Browser: Introduction to the Namespace Browser Working with namespace contents Viewing namespace information"},"923":{y:0,u:"../Content/Using a Namespace/Introduction to the Namespace Browser/Introduction to the Namespace Browser.htm",l:-1,t:"Introduction to the Namespace Browser",i:0.000486821689509815,a:"Introduction to the Namespace Browser The HCP Namespace Browser lets you manage namespace content and view information about namespaces.  This chapter contains instructions for logging in to the Namespace Browser and describes the Browser interface."},});