define({"1335":{y:0,u:"../Content/Using the HCP Openstack Swift API/Retrieving custom metadata with HSwift.htm",l:-1,t:"Retrieving custom metadata with HSwift",i:0.000319400161653284,a:"Retrieving  custom metadata with HSwift When you check the existence of or retrieve an object that has a .metapairs annotation containing well-formed XML, the response headers include X-Object-Meta-name headers with property/value pairs that correspond to the XML elements in the annotation. The ..."},"1336":{y:0,u:"../Content/Using the HCP Openstack Swift API/Custom metadata usage considerations.htm",l:-1,t:"Custom metadata usage considerations",i:0.000319400161653284,a:"These following considerations apply to using custom metadata with the HSwift API. Property names When naming properties, you should use names that, when concatenated with meta-, result in valid XML element names. That way, the X-Object-Meta- headers returned when you retrieve or check the existence ..."},"1337":{y:0,u:"../Content/Using the HCP Openstack Swift API/Access control lists.htm",l:-1,t:"Access control lists",i:0.00070050961958061,a:"HCP supports access control lists (ACLs) only for containers.  An ACL grants specified Keystone authenticated users permissions to perform specific operations within a container. ACLs can also make containers public. A container ACL grants permissions to perform operations on a container and on all ..."},"1338":{y:0,u:"../Content/Using the HCP Openstack Swift API/ACL permissions.htm",l:-1,t:"ACL permissions",i:0.000319400161653284,a:"Adding an ACL to a container gives the Keystone user certain data access permissions for that container. The table below lists the permissions you can give in an ACL through the HSwift API and shows the data access permissions that correspond to each ACL permission.  For more information about data ..."},"1339":{y:0,u:"../Content/Using the HCP Openstack Swift API/Setting ACL permissions.htm",l:-1,t:"Setting ACL permissions",i:0.000681390659451236,a:"You can grant ACLs to individual Keystone users or you can use them to make the permissions they grant public to anyone accessing the container. In the following example, the X-Container-Write request header is used to give Keystone users P.D.Grey and Megan White the read permission: ..."},"1340":{y:0,u:"../Content/Using the HCP Openstack Swift API/Removing an ACL.htm",l:-1,t:"Removing an ACL",i:0.000319400161653284,a:"You can remove an ACL from a container by using the X-Remove-Container-name header. This header can also be used to remove any other form of container metadata. When writing the header, substitute name with the ACL permission you want to remove (read or write). This is the format of the header: ..."},"1341":{y:0,u:"../Content/Using the HCP Openstack Swift API/Replication collisions.htm",l:-1,t:"Replication collisions",i:0.000319400161653284,a:"If users write to multiple systems in a replication topology, collisions can occur when different changes are made to the same objects on different systems.  The way HCP handles collisions that occur due to replication depends on the type of collision.  However, the general rule is that more recent ..."},"1342":{y:0,u:"../Content/Using the HCP Openstack Swift API/Object content collisions.htm",l:-1,t:"Object content collisions",i:0.000319400161653284,a:"An object content collision occurs when: Two objects with the same name are created in a replicated container on two systems in a replication topology, and the object has different content on the two systems. The object on one of the systems is replicated to the other system. If versioning is ..."},"1343":{y:0,u:"../Content/Using the HCP Openstack Swift API/Custom metadata collisions.htm",l:-1,t:"Custom metadata collisions",i:0.000319400161653284,a:"A custom metadata collision occurs when these events occur in the order shown: One of these changes occurs: Custom metadata is added to a given object on each of two systems in a replication topology, but the added custom metadata is different on the two systems. The addition of custom metadata to ..."},"1344":{y:0,u:"../Content/Using the HCP Openstack Swift API/Access control list collisions.htm",l:-1,t:"Access control list collisions",i:0.000319400161653284,a:"Object ACLs cannot be changed through the HSwift API but collisions can still occur. An ACL collision occurs when these events occur in the order shown: Different changes are made to the ACL for a given object on each of two systems in a replication topology (on interfaces that support object ACLs). ..."},"1345":{y:0,u:"../Content/Using the HCP Openstack Swift API/Versioning.htm",l:-1,t:"Versioning",i:0.000616611829109568,a:"Versioning enables the creation and management of multiple versions of an object. Each version of an object has its own system metadata and can have custom metadata and an ACL. You can enable versioning on HCP to store multiple versions on an object with the same name, but you cannot list or access ..."},"1346":{y:0,u:"../Content/Using the HCP Openstack Swift API/Allocated space.htm",l:-1,t:"Allocating space",i:0.000319400161653284,a:"When you create a container, the container is allocated storage space based on the default quota set by the tenant administrator. Quota is the amount of space available for storing objects in the container. The container quota may be changed by the tenant administrator through the Tenant Management ..."},"1347":{y:0,u:"../Content/Using the HCP Openstack Swift API/URLs for access to HCP.htm",l:-1,t:"URLs for access to HCP",i:0.000466015145148069,a:"With the HSwift API, the endpoint is a tenant.  Every request you make to access HCP using HSwift is made within the context of a tenant. The URL in a request identifies the target of the request.  This target can be the tenant, a container within the tenant, or an object within a container within ..."},"1348":{y:0,u:"../Content/Using the HCP Openstack Swift API/Using SSL encryption.htm",l:-1,t:"Using SSL encryption",i:0.000319400161653284,a:"When you create a container or list the containers you own, HCP does not require the use of SSL security with the HSwift request; that is, you can start the URL in the request with either HTTP or HTTPS.  Whether the use of SSL security with other HSwift requests is required, optional, or not ..."},"1349":{y:0,u:"../Content/Using the HCP Openstack Swift API/URL considerations.htm",l:-1,t:"URL considerations",i:0.000319400161653284,a:"URL considerations The following considerations apply to URLs in HSwift API requests."},"1350":{y:0,u:"../Content/Using the HCP Openstack Swift API/Case sensitivity in URLs.htm",l:-1,t:"Case sensitivity in URLs",i:0.000319400161653284,a:"Case sensitivity in URLs In the URLs you specify in HSwift requests: HTTP and HTTPS are not case sensitive. Hostnames are not case sensitive. Container names are not case sensitive. Unlike the items above, object names are case sensitive."},"1351":{y:0,u:"../Content/Using the HCP Openstack Swift API/Quotation marks with URLs in command lines.htm",l:-1,t:"Quotation marks with URLs in command lines",i:0.000319400161653284,a:"When using a command-line tool to access HCP through the HSwift API, you work in a Unix, Mac OS® X, or Windows shell.  Some characters in the commands you enter may have special meaning to the shell.  For example, the ampersand (\u0026) used in URLs to join multiple query parameters also often indicates ..."},"1352":{y:0,u:"../Content/Using the HCP Openstack Swift API/Disabling SSL certificate verification.htm",l:-1,t:"Disabling SSL certificate verification",i:0.000319400161653284,a:"If you’re using HTTPS in your request URLs, check with your tenant administrator as to whether you need to disable SSL certificate verification.  You would need to do this if the SSL server certificate presented by the HCP system is not signed by a trusted certificate authority. With cURL, you ..."},"1353":{y:0,u:"../Content/Using the HCP Openstack Swift API/Resource path line.htm",l:-1,t:"Resource path line",i:0.000319400161653284,a:"The resource path line for an HSwift request specifies the operation target, whether it be an account, container, or object. In the resource path for an HSwift request that uses Keystone authentication, the account name is interchangeable with the Tenant Id Prefix (default is AUTH_) followed by the ..."},"1354":{y:0,u:"../Content/Using the HCP Openstack Swift API/Targeting an account.htm",l:-1,t:"Targeting an account",i:0.000319400161653284,a:"In an HSwift request, if the target is an account, you use a URL in this format: http[s]://api.hcp-domain-name/swift/v1/AUTH_ID In the format above, the account name is replaced with the  Keystone Prefix tenant ID (AUTH_) and the Keystone tenant ID. This is interchangeable with the HSwift account ..."},"1355":{y:0,u:"../Content/Using the HCP Openstack Swift API/Targeting a container.htm",l:-1,t:"Targeting a container",i:0.000319400161653284,a:"In an HSwift request that uses Keystone authentication, if the target is a container, you use a URL in this format: http[s]://api.hcp-domain-name/swift/v1/AUTH_ID/container-name In the format above, the account name is replaced with the  Keystone Prefix tenant ID (AUTH_) and the Keystone tenant ID. ..."},"1356":{y:0,u:"../Content/Using the HCP Openstack Swift API/Targeting an object.htm",l:-1,t:"Targeting an object",i:0.000319400161653284,a:"In an HSwift request that uses Keystone authentication, if the target is an object, you use a URL in the following format: http[s]://api.hcp-domain-name/swift/v1/AUTH_ID/container-name/object-name In the format above, the account name is replaced with the  Keystone Prefix tenant ID (AUTH_) and the ..."},"1357":{y:0,u:"../Content/Using the HCP Openstack Swift API/Query parameters.htm",l:-1,t:"Query parameters",i:0.00149404768659394,a:"Some HSwift requests accept query parameters. Query parameters are appended to a resource URL following a question mark (?). Multiple parameters are joined by ampersands (\u0026). The following considerations apply to query parameters: If you specify an invalid value for any query parameter, HCP returns ..."},"1358":{y:0,u:"../Content/Using the HCP Openstack Swift API/Limiting a listing of current items.htm",l:-1,t:"Limiting a listing of current items",i:0.000319400161653284,a:"You can use the delimiter, format, limit, marker, end_marker, path, and prefix query parameters, alone or in combination with each other, to limit the list of the current objects in an account or container and control the format in which the response body is returned. delimiter The delimiter ..."},"1359":{y:0,u:"../Content/Using the HCP Openstack Swift API/Using an IP address in a URL.htm",l:-1,t:"Using an IP address in a URL",i:0.000466015145148069,a:"Normally, you let HCP choose the node on which to process an HSwift API request.  You can, however, use an IP address in the request URL to access the system on a specific node.  To do this, you replace the fully qualified hostname in the URL with the IP address of an HCP node. Here\u0027s an example of ..."},"1360":{y:0,u:"../Content/Using the HCP Openstack Swift API/Requests and responses.htm",l:-1,t:"Requests and responses",i:0.00359616185136518,a:"Requests and  responses With the HSwift API, you submit requests for operations to HCP, and HCP returns responses that indicate the outcome of the request and includes any requested information or content. This section goes over the common request and response headers that HSwift supports. Due to ..."},"1361":{y:0,u:"../Content/Using the HCP Openstack Swift API/Request.htm",l:-1,t:"Requests",i:0.000319400161653284,a:"Requests HSwift is an HTTP-based API. As is standard for HTTP, the structure for an HSwift request consists of a request line, request headers that qualify the request, and, if applicable, a request body."},"1362":{y:0,u:"../Content/Using the HCP Openstack Swift API/Request line.htm",l:-1,t:"Request line",i:0.000319400161653284,a:"The request line for an HSwift request specifies the operation to be performed, whether the target of the operation is an account, container, or object, and the version of HTTP on which the HSwift API is based.  In an HSwift request that uses Keystone authentication, the account name is ..."},"1363":{y:0,u:"../Content/Using the HCP Openstack Swift API/Common request headers.htm",l:-1,t:"Common request headers",i:0.00307957770736267,a:"Common  request headers Some request headers are common to all HSwift requests. The table below describes those headers. Request headers that are specific to certain requests are described in the section for those requests in  Working with containers  and  Working with objects . Request header names ..."},"1364":{y:0,u:"../Content/Using the HCP Openstack Swift API/Responses.htm",l:-1,t:"Responses",i:0.000319400161653284,a:"The response to an HSwift request consists of a response status line, response headers that provide information about the execution and outcome of the request, and, if applicable, a response body. The response to an unsuccessful request (except for HEAD requests) includes an error response body."},"1365":{y:0,u:"../Content/Using the HCP Openstack Swift API/Response status line.htm",l:-1,t:"Response status line",i:0.000319400161653284,a:"The status line returned in response to an HSwift request specifies the version of HTTP on which the HSwift API is based and an HTTP status code that indicates the outcome of the request. HTTP status codes in the 2xx range indicate that the requested operation was successful. HTTP status codes in ..."},"1366":{y:0,u:"../Content/Using the HCP Openstack Swift API/Common response headers.htm",l:-1,t:"Common response headers",i:0.00357731464183485,a:"Common  response headers Some response headers are common to all HSwift requests, while some are specific to certain requests. The table below describes some of the common response headers.  Some common response headers address browser security concerns. These headers have fixed values. The table ..."},"1367":{y:0,u:"../Content/Using the HCP Openstack Swift API/Error response body.htm",l:-1,t:"Error response body",i:0.000319400161653284,a:"Error response body When an HSwift request results in an error, HCP returns information about the error in an error request body. An error request body contains HTML in this format: \u003chtml\u003e      \u003ch1\u003eHTTP-status-code\u003c/h1\u003e      \u003cp\u003eerror-message\u003c/p\u003e \u003c/html\u003e"},"1368":{y:0,u:"../Content/Using the HCP Openstack Swift API/Error codes.htm",l:-1,t:"Error codes",i:0.00421079801298127,a:"Every error response body contains an HTTP status code and a description that provides more information about the error. The error codes themselves can be found with the response header. A single HTTP status code can correspond to multiple error codes. The table below describes the error codes that ..."},"1369":{y:0,u:"../Content/Using the HCP Openstack Swift API/Checking information about your nodes.htm",l:-1,t:"Checking service information about your nodes",i:0.000319400161653284,a:"You can use the HSwift information command to check the service information of a target node in your HCP system. The information command can be performed by any user. It does not require HSwift to be enabled on a tenant in the node or for you to submit any authentication credentials. The request to ..."},"1370":{y:0,u:"../Content/Using the HCP Openstack Swift API/Service info HTTP response codes.htm",l:-1,t:"HTTP response codes (Service information)",i:0.000319400161653284,a:"HTTP response codes (Service information) The table below describes HTTP status codes that can be returned from a node service information request. For more information about HTTP status codes and the error codes that can accompany them, see  Error codes ."},"1371":{y:0,u:"../Content/Using the HCP Openstack Swift API/Service info response body.htm",l:-1,t:"Response body  (Service information)",i:0.000319400161653284,a:"By default, HCP returns the node service information in a plain text format. This is the response body, in plain text format: { \"container_quotas\" : { }, \"keystoneauth\" : { }, \"tempauth\" : { }, \"swift\" : {     \"account_autocreate\" : false,     \"account_listing_limit\" : 10000, ..."},"1372":{y:0,u:"../Content/Using the HCP Openstack Swift API/Example Retrieving node service information.htm",l:-1,t:"Example: Retrieving node service information",i:0.000319400161653284,a:"Here is a sample  request that retrieves node service information for a node in the system. In this example, the target node IP address is 192.168.210.16. Request with cURL command line curl -k https://192.168.210.16/swift/info Response headers HTTP/1.1 200 Success Response body in plain text { ..."},"1373":{y:0,u:"../Content/Using the HCP Openstack Swift API/Working with containers.htm",l:-1,t:"Working with containers",i:0.00383214196815664,a:"For each container operation you can request, this chapter: Describes the operation Shows the request line for the operation Describes the request headers for the operation Describes the response headers returned for a successful execution of the requested operation Shows the format of the request ..."},"1374":{y:0,u:"../Content/Using the HCP Openstack Swift API/Creating a container.htm",l:-1,t:"Creating a container",i:0.000338792509749603,a:"You use the HTTP PUT method to create a container. You can create a container only if your HSwift account is configured to let you do so. When you create a container, you specify a name for it. For information about naming containers, see  Container names . If you use the PUT method to add an ..."},"1375":{y:0,u:"../Content/Using the HCP Openstack Swift API/PUT container request line.htm",l:-1,t:"Request line (PUT container)",i:0.000319400161653284,a:"Depending on whether the HSwift request uses a Keystone tenant ID or the account name, the request line for a request to create a container has either of these formats: With the Keystone tenant ID: PUT /swift/v1/tenant-ID/container-name HTTP/1.1 With the account name: ..."},"1376":{y:0,u:"../Content/Using the HCP Openstack Swift API/PUT container request headers.htm",l:-1,t:"Request headers (PUT container)",i:0.000319400161653284,a:"Request headers (PUT container) The table below describes the headers you can use in a request to create a container.  "},"1377":{y:0,u:"../Content/Using the HCP Openstack Swift API/PUT container response headers.htm",l:-1,t:"Response headers (PUT container)",i:0.000319400161653284,a:"Response headers (PUT container) The table below describes the response headers returned in response to a successful request to create a container."},"1378":{y:0,u:"../Content/Using the HCP Openstack Swift API/PUT container HTTP response codes.htm",l:-1,t:"HTTP response codes (PUT container)",i:0.000319400161653284,a:"HTTP response codes (PUT container) The table below describes HTTP status codes that can be returned in response to a request to create a container. For more information about HTTP status codes and the error codes that can accompany them, see  Error codes ."},"1379":{y:0,u:"../Content/Using the HCP Openstack Swift API/PUT container examples.htm",l:-1,t:"Examples",i:0.000319400161653284,a:"Examples The following sections show sample PUT requests for creating containers."},"1380":{y:0,u:"../Content/Using the HCP Openstack Swift API/Creating a container example.htm",l:-1,t:"Example 1: Creating a container",i:0.000319400161653284,a:"Here\u0027s a sample PUT request that creates a container named finance in the context of the tenant named europe. Request with cURL command line curl -X PUT http://api.hcp.example.com/swift/v1/AUTH_6b6884ebb6f441cfbb7e740f6a927c9e/finance  -i -H \"X-Auth-Token: dc5efec8f546455eac974e7bbfd0dd87\" Request ..."},"1381":{y:0,u:"../Content/Using the HCP Openstack Swift API/Creating a container with an ACL example (data permission only).htm",l:-1,t:"Example 2: Creating a container with an ACL (data permission only)",i:0.000319400161653284,a:"Here\u0027s a sample PUT request that creates a container named human-resources and adds an ACL to the container. The ACL grants read permission to all users and write permission to the Keystone users with usernames mwhite and pdgrey. Request with cURL command line curl -X PUT ..."},"1382":{y:0,u:"../Content/Using the HCP Openstack Swift API/Listing account metadata.htm",l:-1,t:"Listing account metadata",i:0.000338792509749603,a:"Listing  account metadata You use the HTTP HEAD method to list account metadata. You need an account to request this operation. The target of a request to list the account metadata is a tenant (that is, the service point). When you list account metadata, you are returned information about the total ..."},"1383":{y:0,u:"../Content/Using the HCP Openstack Swift API/HEAD account request line.htm",l:-1,t:"Request line (HEAD account)",i:0.000319400161653284,a:"Depending on whether the HSwift request uses a Keystone tenant ID or the account name, the request line for a request to list account containers has either of these formats: With the Keystone tenant ID: HEAD /swift/v1/tenant-ID HTTP/1.1 With the account name: HEAD /swift/v1/account-name HTTP/1.1"},"1384":{y:0,u:"../Content/Using the HCP Openstack Swift API/HEAD account request headers.htm",l:-1,t:"Request headers (HEAD account)",i:0.000319400161653284,a:"Request headers (HEAD account) The table below describes the headers you can use in a request to  list account container data."},"1385":{y:0,u:"../Content/Using the HCP Openstack Swift API/HEAD account response headers.htm",l:-1,t:"Response headers (HEAD account)",i:0.000319400161653284,a:"Response headers (HEAD account) The table below describes the response headers returned in response to a successful request to list account container data."},"1386":{y:0,u:"../Content/Using the HCP Openstack Swift API/HEAD account HTTP response codes.htm",l:-1,t:"HTTP response codes (HEAD account)",i:0.000319400161653284,a:"HTTP response codes (HEAD account) The table below describes HTTP status codes that can be returned in response to a request to list account container data. For more information about HTTP status codes and the error codes that can accompany them, see  Error codes ."},"1387":{y:0,u:"../Content/Using the HCP Openstack Swift API/Listing an account\u0027s metadata.htm",l:-1,t:"Example: Listing an account\u0027s metadata",i:0.000319400161653284,a:"Here\u0027s a sample HEAD request that lists the metadata of an account named europe. Request with curl command line curl -i -X HEAD http://api.hcp.example.com/swift/v1/AUTH_6b6884ebb6f441cfbb7e740f6a927c9e -H \"X-Auth-Token: dc5efec8f546455eac974e7bbfd0dd87\" Request headers HEAD ..."},"1388":{y:0,u:"../Content/Using the HCP Openstack Swift API/Listing containers.htm",l:-1,t:"Listing containers",i:0.000338792509749603,a:"You use the HTTP GET method to list the containers in an account. You need an account to request this operation. The target of a request to list the container is a tenant (that is, the service point). The list of containers in the response contains only containers created in the context of that ..."},"1389":{y:0,u:"../Content/Using the HCP Openstack Swift API/Limiting the container listing.htm",l:-1,t:"Limiting the container listing",i:0.000743123165263204,a:"Limiting the container listing You use query parameters to limit the items included in a container listing. For more information about query parameters, see  Query parameters ."},"1390":{y:0,u:"../Content/Using the HCP Openstack Swift API/GET account request line.htm",l:-1,t:"Request line  (GET account)",i:0.000319400161653284,a:"Depending on whether the HSwift request uses a Keystone tenant ID or the account name, the request line for a request to list the containers you own has this format: With the Keystone tenant ID: GET /swift/v1/tenant-ID HTTP/1.1 With the account name: GET /swift/v1/account-name HTTP/1.1"},"1391":{y:0,u:"../Content/Using the HCP Openstack Swift API/GET account request headers.htm",l:-1,t:"Request headers  (GET account)",i:0.000319400161653284,a:"Request headers  (GET account) The table below describes the headers you can use in a request to list the containers you own."},"1392":{y:0,u:"../Content/Using the HCP Openstack Swift API/GET account response headers.htm",l:-1,t:"Response headers  (GET account)",i:0.000319400161653284,a:"Response headers  (GET account) The table below describes the response headers returned in response to a successful request to list the containers you own."},"1393":{y:0,u:"../Content/Using the HCP Openstack Swift API/GET account response body.htm",l:-1,t:"Response body  (GET account)",i:0.000607376728588971,a:"By default, HCP returns the list of containers you own in a plain text format. For the purpose of this example, the response body have been converted to XML using the Accept header. This is the response body, in XML format: \u003c?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?\u003e \u003caccount ..."},"1394":{y:0,u:"../Content/Using the HCP Openstack Swift API/GET account HTTP response codes.htm",l:-1,t:"HTTP response codes  (GET account)",i:0.000319400161653284,a:"HTTP response codes  (GET account) The table below describes HTTP status codes that can be returned in response to a request to list the containers you own. For more information about HTTP status codes and the error codes that can accompany them, see  Error codes ."},"1395":{y:0,u:"../Content/Using the HCP Openstack Swift API/Listing containers example.htm",l:-1,t:"Example: Listing containers",i:0.000319400161653284,a:"Here\u0027s a sample GET request that returns a list of the containers in the context of the europe tenant. Request with curl command line curl -X GET http://api.hcp.example.com/swift/v1/AUTH_6b6884ebb6f441cfbb7e740f6a927c9e -H \"Accept: application/xml\" -H \"X-Auth-Token: dc5efec8f546455eac974e7bbfd0dd87\" ..."},"1396":{y:0,u:"../Content/Using the HCP Openstack Swift API/Checking a container\u0027s metadata.htm",l:-1,t:"Checking a container\u0027s metadata",i:0.000338792509749603,a:"You use the HTTP HEAD method to check a container\u0027s metadata. To successfully check a container\u0027s metadata, you need read permission for the container. If the container you specify in the HEAD request does not exist, HCP returns a 404 (Not Found) status code. If you do not have read permission for ..."},"1397":{y:0,u:"../Content/Using the HCP Openstack Swift API/HEAD container request line.htm",l:-1,t:"Request line  (HEAD container)",i:0.000319400161653284,a:"Depending on whether the HSwift request uses a Keystone tenant ID or the account name, the request line for a request to check a container\u0027s metadata has either of these formats: With the Keystone tenant ID: HEAD /swift/v1/tenant-ID/container-name HTTP/1.1 With the account name: HEAD ..."},"1398":{y:0,u:"../Content/Using the HCP Openstack Swift API/HEAD container request headers.htm",l:-1,t:"Request headers  (HEAD container)",i:0.000319400161653284,a:"Request headers  (HEAD container) The table below describes the headers you can use in a request to check a container\u0027s metadata."},"1399":{y:0,u:"../Content/Using the HCP Openstack Swift API/HEAD container response headers.htm",l:-1,t:"Response headers  (HEAD container)",i:0.000319400161653284,a:"Response headers  (HEAD container) The table below describes the response headers returned in response to a successful request to check a container\u0027s metadata."},"1400":{y:0,u:"../Content/Using the HCP Openstack Swift API/HEAD container HTTP status codes.htm",l:-1,t:"HTTP status codes  (HEAD container)",i:0.000319400161653284,a:"HTTP status codes  (HEAD container) The table below describes HTTP status codes that can be returned in response to a request to check  a container\u0027s metadata. For more information about HTTP status codes and the error codes that can accompany them, see  Error codes ."},"1401":{y:0,u:"../Content/Using the HCP Openstack Swift API/Checking a container\u0027s metadata example.htm",l:-1,t:"Example: Checking a container\u0027s metadata",i:0.000319400161653284,a:"Here\u0027s a sample HEAD request that checks the metadata of a container named finance. Request with curl command line curl -i -X HEAD http://api.hcp.example.com/swift/v1/AUTH_6b6884ebb6f441cfbb7e740f6a927c9e/finance -H \"X-Auth-Token: dc5efec8f546455eac974e7bbfd0dd87\" Request headers HEAD ..."},"1402":{y:0,u:"../Content/Using the HCP Openstack Swift API/Adding an ACL to a container (data access permission only).htm",l:-1,t:"Adding an ACL to a container (data access permission only)",i:0.000338792509749603,a:"You use the HTTP POST method with either the read or write ACL header to add an ACL to an existing container. Adding an ACL to a container replaces the existing read or write ACL in its entirety. You cannot modify an existing ACL in place. To add an ACL to a container, you need write ACL permission ..."},"1403":{y:0,u:"../Content/Using the HCP Openstack Swift API/POST container request line.htm",l:-1,t:"Request line (POST container)",i:0.000319400161653284,a:"Depending on whether the HSwift request uses a Keystone tenant ID or the account name, the request line for a request to add an ACL (write or read) to a container has either of these formats: With the Keystone tenant ID: POST /swift/v1/tenant-ID/container-name HTTP/1.1 \"X-Container-Write: ..."},"1404":{y:0,u:"../Content/Using the HCP Openstack Swift API/POST container request headers.htm",l:-1,t:"Request headers (POST container)",i:0.000319400161653284,a:"Request headers (POST container) The table below describes the headers you can use in a request to add an ACL container."},});